Proposal¶
Proposal - Get Proposal¶
HTTP Request
GET /api/proposals/{id}
📋 Description: Retrieves detailed information about a specific proposal within the Nakisa Portfolio Management Suite, enabling users to analyze portfolio and asset data related to real estate properties.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "receivedDate": "2019-08-24",
10 "receivedViaId": 0,
11 "followUpDate": "2019-08-24",
12 "proposalStatusId": 0,
13 "siteName": "string",
14 "siteCivicNumber": "string",
15 "siteStreet": "string",
16 "siteSuite": "string",
17 "sitePostalCode": "string",
18 "siteLon": 0.1,
19 "siteLat": 0.1,
20 "siteLot": "string",
21 "siteNearbyAddress": "string",
22 "siteNearby": "string",
23 "addressTrafficTypeId": 0,
24 "siteCityId": 0,
25 "siteDistrictId": 0,
26 "evaluatedById": 0,
27 "evaluatedMailViaId": 0,
28 "progressStatusId": 0,
29 "evaluatedDate": "string",
30 "evaluatedComment": "string",
31 "premiseId": 0,
32 "siteCity": {
33 "createdBy": "string",
34 "lastModifiedBy": "string",
35 "createdDate": "2019-08-24T14:15:22Z",
36 "lastModifiedDate": "2019-08-24T14:15:22Z",
37 "archived": true,
38 "externalId": "string",
39 "id": 0,
40 "name": "string",
41 "province": {
42 "createdBy": "string",
43 "lastModifiedBy": "string",
44 "createdDate": "2019-08-24T14:15:22Z",
45 "lastModifiedDate": "2019-08-24T14:15:22Z",
46 "archived": true,
47 "externalId": "string",
48 "id": 0,
49 "name": "string",
50 "country": {
51 "createdBy": "string",
52 "lastModifiedBy": "string",
53 "createdDate": "2019-08-24T14:15:22Z",
54 "lastModifiedDate": "2019-08-24T14:15:22Z",
55 "archived": true,
56 "externalId": "string",
57 "id": 0,
58 "name": "string",
59 "code": "string"
60 },
61 "code": "string",
62 "countryId": 0
63 },
64 "provinceId": 0
65 },
66 "siteDistrict": {
67 "createdBy": "string",
68 "lastModifiedBy": "string",
69 "createdDate": "2019-08-24T14:15:22Z",
70 "lastModifiedDate": "2019-08-24T14:15:22Z",
71 "archived": true,
72 "externalId": "string",
73 "id": 0,
74 "name": "string",
75 "city": {
76 "createdBy": "string",
77 "lastModifiedBy": "string",
78 "createdDate": "2019-08-24T14:15:22Z",
79 "lastModifiedDate": "2019-08-24T14:15:22Z",
80 "archived": true,
81 "externalId": "string",
82 "id": 0,
83 "name": "string",
84 "province": {
85 "createdBy": "string",
86 "lastModifiedBy": "string",
87 "createdDate": "2019-08-24T14:15:22Z",
88 "lastModifiedDate": "2019-08-24T14:15:22Z",
89 "archived": true,
90 "externalId": "string",
91 "id": 0,
92 "name": "string",
93 "code": "string",
94 "country": {
95 "createdBy": "string",
96 "lastModifiedBy": "string",
97 "createdDate": "2019-08-24T14:15:22Z",
98 "lastModifiedDate": "2019-08-24T14:15:22Z",
99 "archived": true,
100 "externalId": "string",
101 "id": 0,
102 "name": "string",
103 "code": "string"
104 },
105 "provinceCountryKey": "string"
106 },
107 "cityProvinceCountryKey": "string"
108 },
109 "cityId": 0
110 },
111 "addressTrafficType": {
112 "createdBy": "string",
113 "lastModifiedBy": "string",
114 "createdDate": "2019-08-24T14:15:22Z",
115 "lastModifiedDate": "2019-08-24T14:15:22Z",
116 "archived": true,
117 "externalId": "string",
118 "id": 0,
119 "priority": 0,
120 "internalId": 0,
121 "pickListCode": "string",
122 "pickListLabel": "string",
123 "label": "string",
124 "cultureId": 0,
125 "labelDtos": [
126 {
127 "createdBy": "string",
128 "lastModifiedBy": "string",
129 "createdDate": "2019-08-24T14:15:22Z",
130 "lastModifiedDate": "2019-08-24T14:15:22Z",
131 "archived": true,
132 "externalId": "string",
133 "id": 0,
134 "cultureId": 0,
135 "value": "string"
136 }
137 ]
138 },
139 "premise": {
140 "createdBy": "string",
141 "lastModifiedBy": "string",
142 "createdDate": "2019-08-24T14:15:22Z",
143 "lastModifiedDate": "2019-08-24T14:15:22Z",
144 "archived": true,
145 "externalId": "string",
146 "id": 0,
147 "number": "string",
148 "name": "string",
149 "headPremise": true,
150 "possessionDate": "2019-08-24",
151 "openingDate": "2019-08-24",
152 "closingDate": "2019-08-24",
153 "relocationDate": "2019-08-24",
154 "vacatingDate": "2019-08-24",
155 "expansionDate": "2019-08-24",
156 "statusId": 0,
157 "usageId": 0,
158 "parentPremiseId": 0,
159 "costCenterId": 0,
160 "profitCenterId": 0,
161 "legalEntityId": 0,
162 "occupancyIds": [
163 0
164 ],
165 "locationId": 0,
166 "locationDto": {
167 "createdBy": "string",
168 "lastModifiedBy": "string",
169 "createdDate": "2019-08-24T14:15:22Z",
170 "lastModifiedDate": "2019-08-24T14:15:22Z",
171 "archived": true,
172 "externalId": "string",
173 "id": 0,
174 "number": "string",
175 "name": "string",
176 "storeNumber": "string",
177 "defaultCurrencyId": 0,
178 "defaultMeasureId": 0,
179 "typeId": 0,
180 "qualityId": 0,
181 "propertyTypeId": 0,
182 "categoryId": 0,
183 "statusId": 0,
184 "businessUnitId": 0,
185 "groupIds": [
186 0
187 ],
188 "legalEntityIds": [
189 0
190 ],
191 "defaultCurrency": {
192 "id": 0,
193 "status": "CREATED",
194 "displayId": "string",
195 "erpSystemId": 0,
196 "erpSystemDisplayId": "string",
197 "name": "string",
198 "decimalPoints": 0,
199 "depreciationAreaId": 0
200 },
201 "defaultUnitValue": {
202 "createdBy": "string",
203 "lastModifiedBy": "string",
204 "createdDate": "2019-08-24T14:15:22Z",
205 "lastModifiedDate": "2019-08-24T14:15:22Z",
206 "archived": true,
207 "externalId": "string",
208 "id": 0,
209 "unitId": 0,
210 "unitOfMeasureId": 0,
211 "erpSystemId": 0,
212 "unit": {
213 "createdBy": "string",
214 "lastModifiedBy": "string",
215 "createdDate": "2019-08-24T14:15:22Z",
216 "lastModifiedDate": "2019-08-24T14:15:22Z",
217 "archived": true,
218 "externalId": "string",
219 "id": 0,
220 "priority": 0,
221 "internalId": 0,
222 "pickListCode": "string",
223 "pickListLabel": "string",
224 "label": "string",
225 "cultureId": 0,
226 "labelDtos": [
227 {
228 "createdBy": "string",
229 "lastModifiedBy": "string",
230 "createdDate": "2019-08-24T14:15:22Z",
231 "lastModifiedDate": "2019-08-24T14:15:22Z",
232 "archived": true,
233 "externalId": "string",
234 "id": 0,
235 "cultureId": 0,
236 "value": "string"
237 }
238 ]
239 },
240 "unitOfMeasure": {
241 "id": 0,
242 "status": "CREATED",
243 "displayId": "string",
244 "erpSystemId": 0,
245 "erpSystemDisplayId": "string",
246 "name": "string"
247 }
248 },
249 "type": {
250 "createdBy": "string",
251 "lastModifiedBy": "string",
252 "createdDate": "2019-08-24T14:15:22Z",
253 "lastModifiedDate": "2019-08-24T14:15:22Z",
254 "archived": true,
255 "externalId": "string",
256 "id": 0,
257 "priority": 0,
258 "internalId": 0,
259 "pickListCode": "string",
260 "pickListLabel": "string",
261 "label": "string",
262 "cultureId": 0,
263 "labelDtos": [
264 {
265 "createdBy": "string",
266 "lastModifiedBy": "string",
267 "createdDate": "2019-08-24T14:15:22Z",
268 "lastModifiedDate": "2019-08-24T14:15:22Z",
269 "archived": true,
270 "externalId": "string",
271 "id": 0,
272 "cultureId": 0,
273 "value": "string"
274 }
275 ]
276 },
277 "quality": {
278 "createdBy": "string",
279 "lastModifiedBy": "string",
280 "createdDate": "2019-08-24T14:15:22Z",
281 "lastModifiedDate": "2019-08-24T14:15:22Z",
282 "archived": true,
283 "externalId": "string",
284 "id": 0,
285 "priority": 0,
286 "internalId": 0,
287 "pickListCode": "string",
288 "pickListLabel": "string",
289 "label": "string",
290 "cultureId": 0,
291 "labelDtos": [
292 {
293 "createdBy": "string",
294 "lastModifiedBy": "string",
295 "createdDate": "2019-08-24T14:15:22Z",
296 "lastModifiedDate": "2019-08-24T14:15:22Z",
297 "archived": true,
298 "externalId": "string",
299 "id": 0,
300 "cultureId": 0,
301 "value": "string"
302 }
303 ]
304 },
305 "propertyType": {
306 "createdBy": "string",
307 "lastModifiedBy": "string",
308 "createdDate": "2019-08-24T14:15:22Z",
309 "lastModifiedDate": "2019-08-24T14:15:22Z",
310 "archived": true,
311 "externalId": "string",
312 "id": 0,
313 "priority": 0,
314 "internalId": 0,
315 "pickListCode": "string",
316 "pickListLabel": "string",
317 "label": "string",
318 "cultureId": 0,
319 "labelDtos": [
320 {
321 "createdBy": "string",
322 "lastModifiedBy": "string",
323 "createdDate": "2019-08-24T14:15:22Z",
324 "lastModifiedDate": "2019-08-24T14:15:22Z",
325 "archived": true,
326 "externalId": "string",
327 "id": 0,
328 "cultureId": 0,
329 "value": "string"
330 }
331 ]
332 },
333 "category": {
334 "createdBy": "string",
335 "lastModifiedBy": "string",
336 "createdDate": "2019-08-24T14:15:22Z",
337 "lastModifiedDate": "2019-08-24T14:15:22Z",
338 "archived": true,
339 "externalId": "string",
340 "id": 0,
341 "priority": 0,
342 "internalId": 0,
343 "pickListCode": "string",
344 "pickListLabel": "string",
345 "label": "string",
346 "cultureId": 0,
347 "labelDtos": [
348 {
349 "createdBy": "string",
350 "lastModifiedBy": "string",
351 "createdDate": "2019-08-24T14:15:22Z",
352 "lastModifiedDate": "2019-08-24T14:15:22Z",
353 "archived": true,
354 "externalId": "string",
355 "id": 0,
356 "cultureId": 0,
357 "value": "string"
358 }
359 ]
360 },
361 "status": {
362 "createdBy": "string",
363 "lastModifiedBy": "string",
364 "createdDate": "2019-08-24T14:15:22Z",
365 "lastModifiedDate": "2019-08-24T14:15:22Z",
366 "archived": true,
367 "externalId": "string",
368 "id": 0,
369 "priority": 0,
370 "internalId": 0,
371 "pickListCode": "string",
372 "pickListLabel": "string",
373 "label": "string",
374 "cultureId": 0,
375 "labelDtos": [
376 {
377 "createdBy": "string",
378 "lastModifiedBy": "string",
379 "createdDate": "2019-08-24T14:15:22Z",
380 "lastModifiedDate": "2019-08-24T14:15:22Z",
381 "archived": true,
382 "externalId": "string",
383 "id": 0,
384 "cultureId": 0,
385 "value": "string"
386 }
387 ]
388 },
389 "addressDto": {
390 "createdBy": "string",
391 "lastModifiedBy": "string",
392 "createdDate": "2019-08-24T14:15:22Z",
393 "lastModifiedDate": "2019-08-24T14:15:22Z",
394 "archived": true,
395 "externalId": "string",
396 "id": 0,
397 "street": "string",
398 "civicNumber": "string",
399 "suite": "string",
400 "postalCode": "string",
401 "lon": 0.1,
402 "lat": 0.1,
403 "city": {
404 "createdBy": "string",
405 "lastModifiedBy": "string",
406 "createdDate": "2019-08-24T14:15:22Z",
407 "lastModifiedDate": "2019-08-24T14:15:22Z",
408 "archived": true,
409 "externalId": "string",
410 "id": 0,
411 "name": "string",
412 "province": {
413 "createdBy": "string",
414 "lastModifiedBy": "string",
415 "createdDate": "2019-08-24T14:15:22Z",
416 "lastModifiedDate": "2019-08-24T14:15:22Z",
417 "archived": true,
418 "externalId": "string",
419 "id": 0,
420 "name": "string",
421 "code": "string",
422 "country": {
423 "createdBy": "string",
424 "lastModifiedBy": "string",
425 "createdDate": "2019-08-24T14:15:22Z",
426 "lastModifiedDate": "2019-08-24T14:15:22Z",
427 "archived": true,
428 "externalId": "string",
429 "id": 0,
430 "name": "string",
431 "code": "string"
432 },
433 "provinceCountryKey": "string"
434 },
435 "cityProvinceCountryKey": "string"
436 },
437 "district": {
438 "createdBy": "string",
439 "lastModifiedBy": "string",
440 "createdDate": "2019-08-24T14:15:22Z",
441 "lastModifiedDate": "2019-08-24T14:15:22Z",
442 "archived": true,
443 "externalId": "string",
444 "id": 0,
445 "name": "string",
446 "city": {
447 "createdBy": "string",
448 "lastModifiedBy": "string",
449 "createdDate": "2019-08-24T14:15:22Z",
450 "lastModifiedDate": "2019-08-24T14:15:22Z",
451 "archived": true,
452 "externalId": "string",
453 "id": 0,
454 "name": "string",
455 "province": {
456 "createdBy": "string",
457 "lastModifiedBy": "string",
458 "createdDate": "2019-08-24T14:15:22Z",
459 "lastModifiedDate": "2019-08-24T14:15:22Z",
460 "archived": true,
461 "externalId": "string",
462 "id": 0,
463 "name": "string",
464 "code": "string",
465 "country": {
466 "createdBy": "string",
467 "lastModifiedBy": "string",
468 "createdDate": "2019-08-24T14:15:22Z",
469 "lastModifiedDate": "2019-08-24T14:15:22Z",
470 "archived": true,
471 "externalId": "string",
472 "id": 0,
473 "name": "string",
474 "code": "string"
475 },
476 "provinceCountryKey": "string"
477 },
478 "cityProvinceCountryKey": "string"
479 }
480 },
481 "cityId": 0,
482 "districtId": 0
483 },
484 "secondAddressDto": {
485 "createdBy": "string",
486 "lastModifiedBy": "string",
487 "createdDate": "2019-08-24T14:15:22Z",
488 "lastModifiedDate": "2019-08-24T14:15:22Z",
489 "archived": true,
490 "externalId": "string",
491 "id": 0,
492 "street": "string",
493 "civicNumber": "string",
494 "suite": "string",
495 "postalCode": "string",
496 "lon": 0.1,
497 "lat": 0.1,
498 "city": {
499 "createdBy": "string",
500 "lastModifiedBy": "string",
501 "createdDate": "2019-08-24T14:15:22Z",
502 "lastModifiedDate": "2019-08-24T14:15:22Z",
503 "archived": true,
504 "externalId": "string",
505 "id": 0,
506 "name": "string",
507 "province": {
508 "createdBy": "string",
509 "lastModifiedBy": "string",
510 "createdDate": "2019-08-24T14:15:22Z",
511 "lastModifiedDate": "2019-08-24T14:15:22Z",
512 "archived": true,
513 "externalId": "string",
514 "id": 0,
515 "name": "string",
516 "code": "string",
517 "country": {
518 "createdBy": "string",
519 "lastModifiedBy": "string",
520 "createdDate": "2019-08-24T14:15:22Z",
521 "lastModifiedDate": "2019-08-24T14:15:22Z",
522 "archived": true,
523 "externalId": "string",
524 "id": 0,
525 "name": "string",
526 "code": "string"
527 },
528 "provinceCountryKey": "string"
529 },
530 "cityProvinceCountryKey": "string"
531 },
532 "district": {
533 "createdBy": "string",
534 "lastModifiedBy": "string",
535 "createdDate": "2019-08-24T14:15:22Z",
536 "lastModifiedDate": "2019-08-24T14:15:22Z",
537 "archived": true,
538 "externalId": "string",
539 "id": 0,
540 "name": "string",
541 "city": {
542 "createdBy": "string",
543 "lastModifiedBy": "string",
544 "createdDate": "2019-08-24T14:15:22Z",
545 "lastModifiedDate": "2019-08-24T14:15:22Z",
546 "archived": true,
547 "externalId": "string",
548 "id": 0,
549 "name": "string",
550 "province": {
551 "createdBy": "string",
552 "lastModifiedBy": "string",
553 "createdDate": "2019-08-24T14:15:22Z",
554 "lastModifiedDate": "2019-08-24T14:15:22Z",
555 "archived": true,
556 "externalId": "string",
557 "id": 0,
558 "name": "string",
559 "code": "string",
560 "country": {
561 "createdBy": "string",
562 "lastModifiedBy": "string",
563 "createdDate": "2019-08-24T14:15:22Z",
564 "lastModifiedDate": "2019-08-24T14:15:22Z",
565 "archived": true,
566 "externalId": "string",
567 "id": 0,
568 "name": "string",
569 "code": "string"
570 },
571 "provinceCountryKey": "string"
572 },
573 "cityProvinceCountryKey": "string"
574 }
575 },
576 "cityId": 0,
577 "districtId": 0
578 }
579 },
580 "status": {
581 "createdBy": "string",
582 "lastModifiedBy": "string",
583 "createdDate": "2019-08-24T14:15:22Z",
584 "lastModifiedDate": "2019-08-24T14:15:22Z",
585 "archived": true,
586 "externalId": "string",
587 "id": 0,
588 "priority": 0,
589 "internalId": 0,
590 "pickListCode": "string",
591 "pickListLabel": "string",
592 "label": "string",
593 "cultureId": 0,
594 "labelDtos": [
595 {
596 "createdBy": "string",
597 "lastModifiedBy": "string",
598 "createdDate": "2019-08-24T14:15:22Z",
599 "lastModifiedDate": "2019-08-24T14:15:22Z",
600 "archived": true,
601 "externalId": "string",
602 "id": 0,
603 "cultureId": 0,
604 "value": "string"
605 }
606 ]
607 },
608 "usage": {
609 "createdBy": "string",
610 "lastModifiedBy": "string",
611 "createdDate": "2019-08-24T14:15:22Z",
612 "lastModifiedDate": "2019-08-24T14:15:22Z",
613 "archived": true,
614 "externalId": "string",
615 "id": 0,
616 "priority": 0,
617 "internalId": 0,
618 "pickListCode": "string",
619 "pickListLabel": "string",
620 "label": "string",
621 "cultureId": 0,
622 "labelDtos": [
623 {
624 "createdBy": "string",
625 "lastModifiedBy": "string",
626 "createdDate": "2019-08-24T14:15:22Z",
627 "lastModifiedDate": "2019-08-24T14:15:22Z",
628 "archived": true,
629 "externalId": "string",
630 "id": 0,
631 "cultureId": 0,
632 "value": "string"
633 }
634 ]
635 },
636 "occupanciesDto": [
637 {
638 "createdBy": "string",
639 "lastModifiedBy": "string",
640 "createdDate": "2019-08-24T14:15:22Z",
641 "lastModifiedDate": "2019-08-24T14:15:22Z",
642 "archived": true,
643 "externalId": "string",
644 "id": 0,
645 "priority": 0,
646 "internalId": 0,
647 "pickListCode": "string",
648 "pickListLabel": "string",
649 "label": "string",
650 "cultureId": 0,
651 "labelDtos": [
652 {
653 "createdBy": "string",
654 "lastModifiedBy": "string",
655 "createdDate": "2019-08-24T14:15:22Z",
656 "lastModifiedDate": "2019-08-24T14:15:22Z",
657 "archived": true,
658 "externalId": "string",
659 "id": 0,
660 "cultureId": 0,
661 "value": "string"
662 }
663 ]
664 }
665 ]
666 },
667 "evaluatedBy": {
668 "createdBy": "string",
669 "lastModifiedBy": "string",
670 "createdDate": "2019-08-24T14:15:22Z",
671 "lastModifiedDate": "2019-08-24T14:15:22Z",
672 "archived": true,
673 "externalId": "string",
674 "id": 0,
675 "email": "string",
676 "userName": "string",
677 "firstName": "string",
678 "lastName": "string",
679 "displayName": "string",
680 "permissions": "string",
681 "internalId": "string",
682 "preferredCulture": {
683 "createdBy": "string",
684 "lastModifiedBy": "string",
685 "createdDate": "2019-08-24T14:15:22Z",
686 "lastModifiedDate": "2019-08-24T14:15:22Z",
687 "archived": true,
688 "externalId": "string",
689 "id": 0,
690 "name": "string",
691 "code": "string",
692 "defaultCulture": true,
693 "enable": true
694 },
695 "userGroups": [
696 {
697 "createdBy": "string",
698 "lastModifiedBy": "string",
699 "createdDate": "2019-08-24T14:15:22Z",
700 "lastModifiedDate": "2019-08-24T14:15:22Z",
701 "archived": true,
702 "externalId": "string",
703 "id": 0,
704 "name": "string",
705 "description": "string",
706 "internalId": "string"
707 }
708 ],
709 "partnerIds": [
710 0
711 ],
712 "partners": [
713 {
714 "id": 0,
715 "status": "CREATED",
716 "displayId": "string",
717 "erpSystemId": 0,
718 "erpSystemDisplayId": "string",
719 "name": "string",
720 "fax": "string",
721 "phone": "string",
722 "parentId": 0,
723 "parentName": "string",
724 "parentDisplayId": "string",
725 "companyId": 0,
726 "partnerRoleId": 0,
727 "partnerContactId": 0
728 }
729 ]
730 },
731 "receivedVia": {
732 "createdBy": "string",
733 "lastModifiedBy": "string",
734 "createdDate": "2019-08-24T14:15:22Z",
735 "lastModifiedDate": "2019-08-24T14:15:22Z",
736 "archived": true,
737 "externalId": "string",
738 "id": 0,
739 "priority": 0,
740 "internalId": 0,
741 "pickListCode": "string",
742 "pickListLabel": "string",
743 "label": "string",
744 "cultureId": 0,
745 "labelDtos": [
746 {
747 "createdBy": "string",
748 "lastModifiedBy": "string",
749 "createdDate": "2019-08-24T14:15:22Z",
750 "lastModifiedDate": "2019-08-24T14:15:22Z",
751 "archived": true,
752 "externalId": "string",
753 "id": 0,
754 "cultureId": 0,
755 "value": "string"
756 }
757 ]
758 },
759 "progressStatus": {
760 "createdBy": "string",
761 "lastModifiedBy": "string",
762 "createdDate": "2019-08-24T14:15:22Z",
763 "lastModifiedDate": "2019-08-24T14:15:22Z",
764 "archived": true,
765 "externalId": "string",
766 "id": 0,
767 "priority": 0,
768 "internalId": 0,
769 "pickListCode": "string",
770 "pickListLabel": "string",
771 "label": "string",
772 "cultureId": 0,
773 "labelDtos": [
774 {
775 "createdBy": "string",
776 "lastModifiedBy": "string",
777 "createdDate": "2019-08-24T14:15:22Z",
778 "lastModifiedDate": "2019-08-24T14:15:22Z",
779 "archived": true,
780 "externalId": "string",
781 "id": 0,
782 "cultureId": 0,
783 "value": "string"
784 }
785 ]
786 },
787 "proposalStatus": {
788 "createdBy": "string",
789 "lastModifiedBy": "string",
790 "createdDate": "2019-08-24T14:15:22Z",
791 "lastModifiedDate": "2019-08-24T14:15:22Z",
792 "archived": true,
793 "externalId": "string",
794 "id": 0,
795 "priority": 0,
796 "internalId": 0,
797 "pickListCode": "string",
798 "pickListLabel": "string",
799 "label": "string",
800 "cultureId": 0,
801 "labelDtos": [
802 {
803 "createdBy": "string",
804 "lastModifiedBy": "string",
805 "createdDate": "2019-08-24T14:15:22Z",
806 "lastModifiedDate": "2019-08-24T14:15:22Z",
807 "archived": true,
808 "externalId": "string",
809 "id": 0,
810 "cultureId": 0,
811 "value": "string"
812 }
813 ]
814 },
815 "evaluatedMailVia": {
816 "createdBy": "string",
817 "lastModifiedBy": "string",
818 "createdDate": "2019-08-24T14:15:22Z",
819 "lastModifiedDate": "2019-08-24T14:15:22Z",
820 "archived": true,
821 "externalId": "string",
822 "id": 0,
823 "priority": 0,
824 "internalId": 0,
825 "pickListCode": "string",
826 "pickListLabel": "string",
827 "label": "string",
828 "cultureId": 0,
829 "labelDtos": [
830 {
831 "createdBy": "string",
832 "lastModifiedBy": "string",
833 "createdDate": "2019-08-24T14:15:22Z",
834 "lastModifiedDate": "2019-08-24T14:15:22Z",
835 "archived": true,
836 "externalId": "string",
837 "id": 0,
838 "cultureId": 0,
839 "value": "string"
840 }
841 ]
842 },
843 "proposalEmailIds": [
844 0
845 ]
846}
Proposal - Update Proposal¶
HTTP Request
PUT /api/proposals/{id}
📋 Description: Updates the details of a specific proposal identified by its ID within the Nakisa Portfolio Management Suite, enabling users to manage and refine portfolio and asset analytics related to real estate properties.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
body |
body |
true |
Request body containing the updated proposal details, including portfolio attributes, asset information, and analytics relevant to the specified real estate property. |
Body Parameters
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "receivedDate": "2019-08-24",
10 "receivedViaId": 0,
11 "followUpDate": "2019-08-24",
12 "proposalStatusId": 0,
13 "siteName": "string",
14 "siteCivicNumber": "string",
15 "siteStreet": "string",
16 "siteSuite": "string",
17 "sitePostalCode": "string",
18 "siteLon": 0.1,
19 "siteLat": 0.1,
20 "siteLot": "string",
21 "siteNearbyAddress": "string",
22 "siteNearby": "string",
23 "addressTrafficTypeId": 0,
24 "siteCityId": 0,
25 "siteDistrictId": 0,
26 "evaluatedById": 0,
27 "evaluatedMailViaId": 0,
28 "progressStatusId": 0,
29 "evaluatedDate": "string",
30 "evaluatedComment": "string",
31 "premiseId": 0,
32 "siteCity": {
33 "createdBy": "string",
34 "lastModifiedBy": "string",
35 "createdDate": "2019-08-24T14:15:22Z",
36 "lastModifiedDate": "2019-08-24T14:15:22Z",
37 "archived": true,
38 "externalId": "string",
39 "id": 0,
40 "name": "string",
41 "province": {
42 "createdBy": "string",
43 "lastModifiedBy": "string",
44 "createdDate": "2019-08-24T14:15:22Z",
45 "lastModifiedDate": "2019-08-24T14:15:22Z",
46 "archived": true,
47 "externalId": "string",
48 "id": 0,
49 "name": "string",
50 "country": {
51 "createdBy": "string",
52 "lastModifiedBy": "string",
53 "createdDate": "2019-08-24T14:15:22Z",
54 "lastModifiedDate": "2019-08-24T14:15:22Z",
55 "archived": true,
56 "externalId": "string",
57 "id": 0,
58 "name": "string",
59 "code": "string"
60 },
61 "code": "string",
62 "countryId": 0
63 },
64 "provinceId": 0
65 },
66 "siteDistrict": {
67 "createdBy": "string",
68 "lastModifiedBy": "string",
69 "createdDate": "2019-08-24T14:15:22Z",
70 "lastModifiedDate": "2019-08-24T14:15:22Z",
71 "archived": true,
72 "externalId": "string",
73 "id": 0,
74 "name": "string",
75 "city": {
76 "createdBy": "string",
77 "lastModifiedBy": "string",
78 "createdDate": "2019-08-24T14:15:22Z",
79 "lastModifiedDate": "2019-08-24T14:15:22Z",
80 "archived": true,
81 "externalId": "string",
82 "id": 0,
83 "name": "string",
84 "province": {
85 "createdBy": "string",
86 "lastModifiedBy": "string",
87 "createdDate": "2019-08-24T14:15:22Z",
88 "lastModifiedDate": "2019-08-24T14:15:22Z",
89 "archived": true,
90 "externalId": "string",
91 "id": 0,
92 "name": "string",
93 "code": "string",
94 "country": {
95 "createdBy": "string",
96 "lastModifiedBy": "string",
97 "createdDate": "2019-08-24T14:15:22Z",
98 "lastModifiedDate": "2019-08-24T14:15:22Z",
99 "archived": true,
100 "externalId": "string",
101 "id": 0,
102 "name": "string",
103 "code": "string"
104 },
105 "provinceCountryKey": "string"
106 },
107 "cityProvinceCountryKey": "string"
108 },
109 "cityId": 0
110 },
111 "addressTrafficType": {
112 "createdBy": "string",
113 "lastModifiedBy": "string",
114 "createdDate": "2019-08-24T14:15:22Z",
115 "lastModifiedDate": "2019-08-24T14:15:22Z",
116 "archived": true,
117 "externalId": "string",
118 "id": 0,
119 "priority": 0,
120 "internalId": 0,
121 "pickListCode": "string",
122 "pickListLabel": "string",
123 "label": "string",
124 "cultureId": 0,
125 "labelDtos": [
126 {
127 "createdBy": "string",
128 "lastModifiedBy": "string",
129 "createdDate": "2019-08-24T14:15:22Z",
130 "lastModifiedDate": "2019-08-24T14:15:22Z",
131 "archived": true,
132 "externalId": "string",
133 "id": 0,
134 "cultureId": 0,
135 "value": "string"
136 }
137 ]
138 },
139 "premise": {
140 "createdBy": "string",
141 "lastModifiedBy": "string",
142 "createdDate": "2019-08-24T14:15:22Z",
143 "lastModifiedDate": "2019-08-24T14:15:22Z",
144 "archived": true,
145 "externalId": "string",
146 "id": 0,
147 "number": "string",
148 "name": "string",
149 "headPremise": true,
150 "possessionDate": "2019-08-24",
151 "openingDate": "2019-08-24",
152 "closingDate": "2019-08-24",
153 "relocationDate": "2019-08-24",
154 "vacatingDate": "2019-08-24",
155 "expansionDate": "2019-08-24",
156 "statusId": 0,
157 "usageId": 0,
158 "parentPremiseId": 0,
159 "costCenterId": 0,
160 "profitCenterId": 0,
161 "legalEntityId": 0,
162 "occupancyIds": [
163 0
164 ],
165 "locationId": 0,
166 "locationDto": {
167 "createdBy": "string",
168 "lastModifiedBy": "string",
169 "createdDate": "2019-08-24T14:15:22Z",
170 "lastModifiedDate": "2019-08-24T14:15:22Z",
171 "archived": true,
172 "externalId": "string",
173 "id": 0,
174 "number": "string",
175 "name": "string",
176 "storeNumber": "string",
177 "defaultCurrencyId": 0,
178 "defaultMeasureId": 0,
179 "typeId": 0,
180 "qualityId": 0,
181 "propertyTypeId": 0,
182 "categoryId": 0,
183 "statusId": 0,
184 "businessUnitId": 0,
185 "groupIds": [
186 0
187 ],
188 "legalEntityIds": [
189 0
190 ],
191 "defaultCurrency": {
192 "id": 0,
193 "status": "CREATED",
194 "displayId": "string",
195 "erpSystemId": 0,
196 "erpSystemDisplayId": "string",
197 "name": "string",
198 "decimalPoints": 0,
199 "depreciationAreaId": 0
200 },
201 "defaultUnitValue": {
202 "createdBy": "string",
203 "lastModifiedBy": "string",
204 "createdDate": "2019-08-24T14:15:22Z",
205 "lastModifiedDate": "2019-08-24T14:15:22Z",
206 "archived": true,
207 "externalId": "string",
208 "id": 0,
209 "unitId": 0,
210 "unitOfMeasureId": 0,
211 "erpSystemId": 0,
212 "unit": {
213 "createdBy": "string",
214 "lastModifiedBy": "string",
215 "createdDate": "2019-08-24T14:15:22Z",
216 "lastModifiedDate": "2019-08-24T14:15:22Z",
217 "archived": true,
218 "externalId": "string",
219 "id": 0,
220 "priority": 0,
221 "internalId": 0,
222 "pickListCode": "string",
223 "pickListLabel": "string",
224 "label": "string",
225 "cultureId": 0,
226 "labelDtos": [
227 {
228 "createdBy": "string",
229 "lastModifiedBy": "string",
230 "createdDate": "2019-08-24T14:15:22Z",
231 "lastModifiedDate": "2019-08-24T14:15:22Z",
232 "archived": true,
233 "externalId": "string",
234 "id": 0,
235 "cultureId": 0,
236 "value": "string"
237 }
238 ]
239 },
240 "unitOfMeasure": {
241 "id": 0,
242 "status": "CREATED",
243 "displayId": "string",
244 "erpSystemId": 0,
245 "erpSystemDisplayId": "string",
246 "name": "string"
247 }
248 },
249 "type": {
250 "createdBy": "string",
251 "lastModifiedBy": "string",
252 "createdDate": "2019-08-24T14:15:22Z",
253 "lastModifiedDate": "2019-08-24T14:15:22Z",
254 "archived": true,
255 "externalId": "string",
256 "id": 0,
257 "priority": 0,
258 "internalId": 0,
259 "pickListCode": "string",
260 "pickListLabel": "string",
261 "label": "string",
262 "cultureId": 0,
263 "labelDtos": [
264 {
265 "createdBy": "string",
266 "lastModifiedBy": "string",
267 "createdDate": "2019-08-24T14:15:22Z",
268 "lastModifiedDate": "2019-08-24T14:15:22Z",
269 "archived": true,
270 "externalId": "string",
271 "id": 0,
272 "cultureId": 0,
273 "value": "string"
274 }
275 ]
276 },
277 "quality": {
278 "createdBy": "string",
279 "lastModifiedBy": "string",
280 "createdDate": "2019-08-24T14:15:22Z",
281 "lastModifiedDate": "2019-08-24T14:15:22Z",
282 "archived": true,
283 "externalId": "string",
284 "id": 0,
285 "priority": 0,
286 "internalId": 0,
287 "pickListCode": "string",
288 "pickListLabel": "string",
289 "label": "string",
290 "cultureId": 0,
291 "labelDtos": [
292 {
293 "createdBy": "string",
294 "lastModifiedBy": "string",
295 "createdDate": "2019-08-24T14:15:22Z",
296 "lastModifiedDate": "2019-08-24T14:15:22Z",
297 "archived": true,
298 "externalId": "string",
299 "id": 0,
300 "cultureId": 0,
301 "value": "string"
302 }
303 ]
304 },
305 "propertyType": {
306 "createdBy": "string",
307 "lastModifiedBy": "string",
308 "createdDate": "2019-08-24T14:15:22Z",
309 "lastModifiedDate": "2019-08-24T14:15:22Z",
310 "archived": true,
311 "externalId": "string",
312 "id": 0,
313 "priority": 0,
314 "internalId": 0,
315 "pickListCode": "string",
316 "pickListLabel": "string",
317 "label": "string",
318 "cultureId": 0,
319 "labelDtos": [
320 {
321 "createdBy": "string",
322 "lastModifiedBy": "string",
323 "createdDate": "2019-08-24T14:15:22Z",
324 "lastModifiedDate": "2019-08-24T14:15:22Z",
325 "archived": true,
326 "externalId": "string",
327 "id": 0,
328 "cultureId": 0,
329 "value": "string"
330 }
331 ]
332 },
333 "category": {
334 "createdBy": "string",
335 "lastModifiedBy": "string",
336 "createdDate": "2019-08-24T14:15:22Z",
337 "lastModifiedDate": "2019-08-24T14:15:22Z",
338 "archived": true,
339 "externalId": "string",
340 "id": 0,
341 "priority": 0,
342 "internalId": 0,
343 "pickListCode": "string",
344 "pickListLabel": "string",
345 "label": "string",
346 "cultureId": 0,
347 "labelDtos": [
348 {
349 "createdBy": "string",
350 "lastModifiedBy": "string",
351 "createdDate": "2019-08-24T14:15:22Z",
352 "lastModifiedDate": "2019-08-24T14:15:22Z",
353 "archived": true,
354 "externalId": "string",
355 "id": 0,
356 "cultureId": 0,
357 "value": "string"
358 }
359 ]
360 },
361 "status": {
362 "createdBy": "string",
363 "lastModifiedBy": "string",
364 "createdDate": "2019-08-24T14:15:22Z",
365 "lastModifiedDate": "2019-08-24T14:15:22Z",
366 "archived": true,
367 "externalId": "string",
368 "id": 0,
369 "priority": 0,
370 "internalId": 0,
371 "pickListCode": "string",
372 "pickListLabel": "string",
373 "label": "string",
374 "cultureId": 0,
375 "labelDtos": [
376 {
377 "createdBy": "string",
378 "lastModifiedBy": "string",
379 "createdDate": "2019-08-24T14:15:22Z",
380 "lastModifiedDate": "2019-08-24T14:15:22Z",
381 "archived": true,
382 "externalId": "string",
383 "id": 0,
384 "cultureId": 0,
385 "value": "string"
386 }
387 ]
388 },
389 "addressDto": {
390 "createdBy": "string",
391 "lastModifiedBy": "string",
392 "createdDate": "2019-08-24T14:15:22Z",
393 "lastModifiedDate": "2019-08-24T14:15:22Z",
394 "archived": true,
395 "externalId": "string",
396 "id": 0,
397 "street": "string",
398 "civicNumber": "string",
399 "suite": "string",
400 "postalCode": "string",
401 "lon": 0.1,
402 "lat": 0.1,
403 "city": {
404 "createdBy": "string",
405 "lastModifiedBy": "string",
406 "createdDate": "2019-08-24T14:15:22Z",
407 "lastModifiedDate": "2019-08-24T14:15:22Z",
408 "archived": true,
409 "externalId": "string",
410 "id": 0,
411 "name": "string",
412 "province": {
413 "createdBy": "string",
414 "lastModifiedBy": "string",
415 "createdDate": "2019-08-24T14:15:22Z",
416 "lastModifiedDate": "2019-08-24T14:15:22Z",
417 "archived": true,
418 "externalId": "string",
419 "id": 0,
420 "name": "string",
421 "code": "string",
422 "country": {
423 "createdBy": "string",
424 "lastModifiedBy": "string",
425 "createdDate": "2019-08-24T14:15:22Z",
426 "lastModifiedDate": "2019-08-24T14:15:22Z",
427 "archived": true,
428 "externalId": "string",
429 "id": 0,
430 "name": "string",
431 "code": "string"
432 },
433 "provinceCountryKey": "string"
434 },
435 "cityProvinceCountryKey": "string"
436 },
437 "district": {
438 "createdBy": "string",
439 "lastModifiedBy": "string",
440 "createdDate": "2019-08-24T14:15:22Z",
441 "lastModifiedDate": "2019-08-24T14:15:22Z",
442 "archived": true,
443 "externalId": "string",
444 "id": 0,
445 "name": "string",
446 "city": {
447 "createdBy": "string",
448 "lastModifiedBy": "string",
449 "createdDate": "2019-08-24T14:15:22Z",
450 "lastModifiedDate": "2019-08-24T14:15:22Z",
451 "archived": true,
452 "externalId": "string",
453 "id": 0,
454 "name": "string",
455 "province": {
456 "createdBy": "string",
457 "lastModifiedBy": "string",
458 "createdDate": "2019-08-24T14:15:22Z",
459 "lastModifiedDate": "2019-08-24T14:15:22Z",
460 "archived": true,
461 "externalId": "string",
462 "id": 0,
463 "name": "string",
464 "code": "string",
465 "country": {
466 "createdBy": "string",
467 "lastModifiedBy": "string",
468 "createdDate": "2019-08-24T14:15:22Z",
469 "lastModifiedDate": "2019-08-24T14:15:22Z",
470 "archived": true,
471 "externalId": "string",
472 "id": 0,
473 "name": "string",
474 "code": "string"
475 },
476 "provinceCountryKey": "string"
477 },
478 "cityProvinceCountryKey": "string"
479 }
480 },
481 "cityId": 0,
482 "districtId": 0
483 },
484 "secondAddressDto": {
485 "createdBy": "string",
486 "lastModifiedBy": "string",
487 "createdDate": "2019-08-24T14:15:22Z",
488 "lastModifiedDate": "2019-08-24T14:15:22Z",
489 "archived": true,
490 "externalId": "string",
491 "id": 0,
492 "street": "string",
493 "civicNumber": "string",
494 "suite": "string",
495 "postalCode": "string",
496 "lon": 0.1,
497 "lat": 0.1,
498 "city": {
499 "createdBy": "string",
500 "lastModifiedBy": "string",
501 "createdDate": "2019-08-24T14:15:22Z",
502 "lastModifiedDate": "2019-08-24T14:15:22Z",
503 "archived": true,
504 "externalId": "string",
505 "id": 0,
506 "name": "string",
507 "province": {
508 "createdBy": "string",
509 "lastModifiedBy": "string",
510 "createdDate": "2019-08-24T14:15:22Z",
511 "lastModifiedDate": "2019-08-24T14:15:22Z",
512 "archived": true,
513 "externalId": "string",
514 "id": 0,
515 "name": "string",
516 "code": "string",
517 "country": {
518 "createdBy": "string",
519 "lastModifiedBy": "string",
520 "createdDate": "2019-08-24T14:15:22Z",
521 "lastModifiedDate": "2019-08-24T14:15:22Z",
522 "archived": true,
523 "externalId": "string",
524 "id": 0,
525 "name": "string",
526 "code": "string"
527 },
528 "provinceCountryKey": "string"
529 },
530 "cityProvinceCountryKey": "string"
531 },
532 "district": {
533 "createdBy": "string",
534 "lastModifiedBy": "string",
535 "createdDate": "2019-08-24T14:15:22Z",
536 "lastModifiedDate": "2019-08-24T14:15:22Z",
537 "archived": true,
538 "externalId": "string",
539 "id": 0,
540 "name": "string",
541 "city": {
542 "createdBy": "string",
543 "lastModifiedBy": "string",
544 "createdDate": "2019-08-24T14:15:22Z",
545 "lastModifiedDate": "2019-08-24T14:15:22Z",
546 "archived": true,
547 "externalId": "string",
548 "id": 0,
549 "name": "string",
550 "province": {
551 "createdBy": "string",
552 "lastModifiedBy": "string",
553 "createdDate": "2019-08-24T14:15:22Z",
554 "lastModifiedDate": "2019-08-24T14:15:22Z",
555 "archived": true,
556 "externalId": "string",
557 "id": 0,
558 "name": "string",
559 "code": "string",
560 "country": {
561 "createdBy": "string",
562 "lastModifiedBy": "string",
563 "createdDate": "2019-08-24T14:15:22Z",
564 "lastModifiedDate": "2019-08-24T14:15:22Z",
565 "archived": true,
566 "externalId": "string",
567 "id": 0,
568 "name": "string",
569 "code": "string"
570 },
571 "provinceCountryKey": "string"
572 },
573 "cityProvinceCountryKey": "string"
574 }
575 },
576 "cityId": 0,
577 "districtId": 0
578 }
579 },
580 "status": {
581 "createdBy": "string",
582 "lastModifiedBy": "string",
583 "createdDate": "2019-08-24T14:15:22Z",
584 "lastModifiedDate": "2019-08-24T14:15:22Z",
585 "archived": true,
586 "externalId": "string",
587 "id": 0,
588 "priority": 0,
589 "internalId": 0,
590 "pickListCode": "string",
591 "pickListLabel": "string",
592 "label": "string",
593 "cultureId": 0,
594 "labelDtos": [
595 {
596 "createdBy": "string",
597 "lastModifiedBy": "string",
598 "createdDate": "2019-08-24T14:15:22Z",
599 "lastModifiedDate": "2019-08-24T14:15:22Z",
600 "archived": true,
601 "externalId": "string",
602 "id": 0,
603 "cultureId": 0,
604 "value": "string"
605 }
606 ]
607 },
608 "usage": {
609 "createdBy": "string",
610 "lastModifiedBy": "string",
611 "createdDate": "2019-08-24T14:15:22Z",
612 "lastModifiedDate": "2019-08-24T14:15:22Z",
613 "archived": true,
614 "externalId": "string",
615 "id": 0,
616 "priority": 0,
617 "internalId": 0,
618 "pickListCode": "string",
619 "pickListLabel": "string",
620 "label": "string",
621 "cultureId": 0,
622 "labelDtos": [
623 {
624 "createdBy": "string",
625 "lastModifiedBy": "string",
626 "createdDate": "2019-08-24T14:15:22Z",
627 "lastModifiedDate": "2019-08-24T14:15:22Z",
628 "archived": true,
629 "externalId": "string",
630 "id": 0,
631 "cultureId": 0,
632 "value": "string"
633 }
634 ]
635 },
636 "occupanciesDto": [
637 {
638 "createdBy": "string",
639 "lastModifiedBy": "string",
640 "createdDate": "2019-08-24T14:15:22Z",
641 "lastModifiedDate": "2019-08-24T14:15:22Z",
642 "archived": true,
643 "externalId": "string",
644 "id": 0,
645 "priority": 0,
646 "internalId": 0,
647 "pickListCode": "string",
648 "pickListLabel": "string",
649 "label": "string",
650 "cultureId": 0,
651 "labelDtos": [
652 {
653 "createdBy": "string",
654 "lastModifiedBy": "string",
655 "createdDate": "2019-08-24T14:15:22Z",
656 "lastModifiedDate": "2019-08-24T14:15:22Z",
657 "archived": true,
658 "externalId": "string",
659 "id": 0,
660 "cultureId": 0,
661 "value": "string"
662 }
663 ]
664 }
665 ]
666 },
667 "evaluatedBy": {
668 "createdBy": "string",
669 "lastModifiedBy": "string",
670 "createdDate": "2019-08-24T14:15:22Z",
671 "lastModifiedDate": "2019-08-24T14:15:22Z",
672 "archived": true,
673 "externalId": "string",
674 "id": 0,
675 "email": "string",
676 "userName": "string",
677 "firstName": "string",
678 "lastName": "string",
679 "displayName": "string",
680 "permissions": "string",
681 "internalId": "string",
682 "preferredCulture": {
683 "createdBy": "string",
684 "lastModifiedBy": "string",
685 "createdDate": "2019-08-24T14:15:22Z",
686 "lastModifiedDate": "2019-08-24T14:15:22Z",
687 "archived": true,
688 "externalId": "string",
689 "id": 0,
690 "name": "string",
691 "code": "string",
692 "defaultCulture": true,
693 "enable": true
694 },
695 "userGroups": [
696 {
697 "createdBy": "string",
698 "lastModifiedBy": "string",
699 "createdDate": "2019-08-24T14:15:22Z",
700 "lastModifiedDate": "2019-08-24T14:15:22Z",
701 "archived": true,
702 "externalId": "string",
703 "id": 0,
704 "name": "string",
705 "description": "string",
706 "internalId": "string"
707 }
708 ],
709 "partnerIds": [
710 0
711 ],
712 "partners": [
713 {
714 "id": 0,
715 "status": "CREATED",
716 "displayId": "string",
717 "erpSystemId": 0,
718 "erpSystemDisplayId": "string",
719 "name": "string",
720 "fax": "string",
721 "phone": "string",
722 "parentId": 0,
723 "parentName": "string",
724 "parentDisplayId": "string",
725 "companyId": 0,
726 "partnerRoleId": 0,
727 "partnerContactId": 0
728 }
729 ]
730 },
731 "receivedVia": {
732 "createdBy": "string",
733 "lastModifiedBy": "string",
734 "createdDate": "2019-08-24T14:15:22Z",
735 "lastModifiedDate": "2019-08-24T14:15:22Z",
736 "archived": true,
737 "externalId": "string",
738 "id": 0,
739 "priority": 0,
740 "internalId": 0,
741 "pickListCode": "string",
742 "pickListLabel": "string",
743 "label": "string",
744 "cultureId": 0,
745 "labelDtos": [
746 {
747 "createdBy": "string",
748 "lastModifiedBy": "string",
749 "createdDate": "2019-08-24T14:15:22Z",
750 "lastModifiedDate": "2019-08-24T14:15:22Z",
751 "archived": true,
752 "externalId": "string",
753 "id": 0,
754 "cultureId": 0,
755 "value": "string"
756 }
757 ]
758 },
759 "progressStatus": {
760 "createdBy": "string",
761 "lastModifiedBy": "string",
762 "createdDate": "2019-08-24T14:15:22Z",
763 "lastModifiedDate": "2019-08-24T14:15:22Z",
764 "archived": true,
765 "externalId": "string",
766 "id": 0,
767 "priority": 0,
768 "internalId": 0,
769 "pickListCode": "string",
770 "pickListLabel": "string",
771 "label": "string",
772 "cultureId": 0,
773 "labelDtos": [
774 {
775 "createdBy": "string",
776 "lastModifiedBy": "string",
777 "createdDate": "2019-08-24T14:15:22Z",
778 "lastModifiedDate": "2019-08-24T14:15:22Z",
779 "archived": true,
780 "externalId": "string",
781 "id": 0,
782 "cultureId": 0,
783 "value": "string"
784 }
785 ]
786 },
787 "proposalStatus": {
788 "createdBy": "string",
789 "lastModifiedBy": "string",
790 "createdDate": "2019-08-24T14:15:22Z",
791 "lastModifiedDate": "2019-08-24T14:15:22Z",
792 "archived": true,
793 "externalId": "string",
794 "id": 0,
795 "priority": 0,
796 "internalId": 0,
797 "pickListCode": "string",
798 "pickListLabel": "string",
799 "label": "string",
800 "cultureId": 0,
801 "labelDtos": [
802 {
803 "createdBy": "string",
804 "lastModifiedBy": "string",
805 "createdDate": "2019-08-24T14:15:22Z",
806 "lastModifiedDate": "2019-08-24T14:15:22Z",
807 "archived": true,
808 "externalId": "string",
809 "id": 0,
810 "cultureId": 0,
811 "value": "string"
812 }
813 ]
814 },
815 "evaluatedMailVia": {
816 "createdBy": "string",
817 "lastModifiedBy": "string",
818 "createdDate": "2019-08-24T14:15:22Z",
819 "lastModifiedDate": "2019-08-24T14:15:22Z",
820 "archived": true,
821 "externalId": "string",
822 "id": 0,
823 "priority": 0,
824 "internalId": 0,
825 "pickListCode": "string",
826 "pickListLabel": "string",
827 "label": "string",
828 "cultureId": 0,
829 "labelDtos": [
830 {
831 "createdBy": "string",
832 "lastModifiedBy": "string",
833 "createdDate": "2019-08-24T14:15:22Z",
834 "lastModifiedDate": "2019-08-24T14:15:22Z",
835 "archived": true,
836 "externalId": "string",
837 "id": 0,
838 "cultureId": 0,
839 "value": "string"
840 }
841 ]
842 },
843 "proposalEmailIds": [
844 0
845 ]
846}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
None |
Proposal - Delete Proposal¶
HTTP Request
DELETE /api/proposals/{id}
📋 Description: Deletes a specified proposal from the Nakisa Portfolio Management Suite, enabling users to manage their portfolio assets effectively by removing outdated or irrelevant proposals.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
204 |
No Content |
None |
Proposal - Get Proposals¶
HTTP Request
GET /api/proposals
📋 Description: Fetches a list of proposals related to portfolio management, asset allocation, and real estate property analytics, enabling users to analyze and assess investment opportunities effectively.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
pageable |
query |
true |
Indicates whether the results of the proposal retrieval should be paginated, facilitating efficient data management and analysis within the Nakisa Portfolio Management Suite. |
|
listing |
query |
boolean |
false |
Indicates whether to include detailed listing information in the retrieved proposals for enhanced portfolio and asset analytics within the Nakisa Portfolio Management Suite. |
search |
query |
string |
false |
Search term used to filter proposals based on keywords related to portfolio, asset, analytics, or real estate property within the Nakisa Portfolio Management Suite. |
name |
query |
string |
false |
Name of the resource |
archived |
query |
string |
false |
Indicates whether to retrieve archived proposals within the Nakisa Portfolio Management Suite, providing insights into historical data for portfolio, asset, and real estate property analytics. |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "_embedded": {
3 "proposals": [
4 {
5 "createdBy": "string",
6 "lastModifiedBy": "string",
7 "createdDate": "2019-08-24T14:15:22Z",
8 "lastModifiedDate": "2019-08-24T14:15:22Z",
9 "archived": true,
10 "externalId": "string",
11 "id": 0,
12 "receivedDate": "2019-08-24",
13 "receivedViaId": 0,
14 "followUpDate": "2019-08-24",
15 "proposalStatusId": 0,
16 "siteName": "string",
17 "siteCivicNumber": "string",
18 "siteStreet": "string",
19 "siteSuite": "string",
20 "sitePostalCode": "string",
21 "siteLon": 0.1,
22 "siteLat": 0.1,
23 "siteLot": "string",
24 "siteNearbyAddress": "string",
25 "siteNearby": "string",
26 "addressTrafficTypeId": 0,
27 "siteCityId": 0,
28 "siteDistrictId": 0,
29 "evaluatedById": 0,
30 "evaluatedMailViaId": 0,
31 "progressStatusId": 0,
32 "evaluatedDate": "string",
33 "evaluatedComment": "string",
34 "premiseId": 0,
35 "siteCity": {
36 "createdBy": "string",
37 "lastModifiedBy": "string",
38 "createdDate": "2019-08-24T14:15:22Z",
39 "lastModifiedDate": "2019-08-24T14:15:22Z",
40 "archived": true,
41 "externalId": "string",
42 "id": 0,
43 "name": "string",
44 "province": {
45 "createdBy": "string",
46 "lastModifiedBy": "string",
47 "createdDate": "2019-08-24T14:15:22Z",
48 "lastModifiedDate": "2019-08-24T14:15:22Z",
49 "archived": true,
50 "externalId": "string",
51 "id": 0,
52 "name": "string",
53 "country": {
54 "createdBy": "string",
55 "lastModifiedBy": "string",
56 "createdDate": "2019-08-24T14:15:22Z",
57 "lastModifiedDate": "2019-08-24T14:15:22Z",
58 "archived": true,
59 "externalId": "string",
60 "id": 0,
61 "name": "string",
62 "code": "string"
63 },
64 "code": "string",
65 "countryId": 0
66 },
67 "provinceId": 0
68 },
69 "siteDistrict": {
70 "createdBy": "string",
71 "lastModifiedBy": "string",
72 "createdDate": "2019-08-24T14:15:22Z",
73 "lastModifiedDate": "2019-08-24T14:15:22Z",
74 "archived": true,
75 "externalId": "string",
76 "id": 0,
77 "name": "string",
78 "city": {
79 "createdBy": "string",
80 "lastModifiedBy": "string",
81 "createdDate": "2019-08-24T14:15:22Z",
82 "lastModifiedDate": "2019-08-24T14:15:22Z",
83 "archived": true,
84 "externalId": "string",
85 "id": 0,
86 "name": "string",
87 "province": {
88 "createdBy": "string",
89 "lastModifiedBy": "string",
90 "createdDate": "2019-08-24T14:15:22Z",
91 "lastModifiedDate": "2019-08-24T14:15:22Z",
92 "archived": true,
93 "externalId": "string",
94 "id": 0,
95 "name": "string",
96 "code": "string",
97 "country": {
98 "createdBy": "string",
99 "lastModifiedBy": "string",
100 "createdDate": "2019-08-24T14:15:22Z",
101 "lastModifiedDate": "2019-08-24T14:15:22Z",
102 "archived": true,
103 "externalId": "string",
104 "id": 0,
105 "name": "string",
106 "code": "string"
107 },
108 "provinceCountryKey": "string"
109 },
110 "cityProvinceCountryKey": "string"
111 },
112 "cityId": 0
113 },
114 "addressTrafficType": {
115 "createdBy": "string",
116 "lastModifiedBy": "string",
117 "createdDate": "2019-08-24T14:15:22Z",
118 "lastModifiedDate": "2019-08-24T14:15:22Z",
119 "archived": true,
120 "externalId": "string",
121 "id": 0,
122 "priority": 0,
123 "internalId": 0,
124 "pickListCode": "string",
125 "pickListLabel": "string",
126 "label": "string",
127 "cultureId": 0,
128 "labelDtos": [
129 {
130 "createdBy": "string",
131 "lastModifiedBy": "string",
132 "createdDate": "2019-08-24T14:15:22Z",
133 "lastModifiedDate": "2019-08-24T14:15:22Z",
134 "archived": true,
135 "externalId": "string",
136 "id": 0,
137 "cultureId": 0,
138 "value": "string"
139 }
140 ]
141 },
142 "premise": {
143 "createdBy": "string",
144 "lastModifiedBy": "string",
145 "createdDate": "2019-08-24T14:15:22Z",
146 "lastModifiedDate": "2019-08-24T14:15:22Z",
147 "archived": true,
148 "externalId": "string",
149 "id": 0,
150 "number": "string",
151 "name": "string",
152 "headPremise": true,
153 "possessionDate": "2019-08-24",
154 "openingDate": "2019-08-24",
155 "closingDate": "2019-08-24",
156 "relocationDate": "2019-08-24",
157 "vacatingDate": "2019-08-24",
158 "expansionDate": "2019-08-24",
159 "statusId": 0,
160 "usageId": 0,
161 "parentPremiseId": 0,
162 "costCenterId": 0,
163 "profitCenterId": 0,
164 "legalEntityId": 0,
165 "occupancyIds": [
166 0
167 ],
168 "locationId": 0,
169 "locationDto": {
170 "createdBy": "string",
171 "lastModifiedBy": "string",
172 "createdDate": "2019-08-24T14:15:22Z",
173 "lastModifiedDate": "2019-08-24T14:15:22Z",
174 "archived": true,
175 "externalId": "string",
176 "id": 0,
177 "number": "string",
178 "name": "string",
179 "storeNumber": "string",
180 "defaultCurrencyId": 0,
181 "defaultMeasureId": 0,
182 "typeId": 0,
183 "qualityId": 0,
184 "propertyTypeId": 0,
185 "categoryId": 0,
186 "statusId": 0,
187 "businessUnitId": 0,
188 "groupIds": [
189 0
190 ],
191 "legalEntityIds": [
192 0
193 ],
194 "defaultCurrency": {
195 "id": 0,
196 "status": "CREATED",
197 "displayId": "string",
198 "erpSystemId": 0,
199 "erpSystemDisplayId": "string",
200 "name": "string",
201 "decimalPoints": 0,
202 "depreciationAreaId": 0
203 },
204 "defaultUnitValue": {
205 "createdBy": "string",
206 "lastModifiedBy": "string",
207 "createdDate": "2019-08-24T14:15:22Z",
208 "lastModifiedDate": "2019-08-24T14:15:22Z",
209 "archived": true,
210 "externalId": "string",
211 "id": 0,
212 "unitId": 0,
213 "unitOfMeasureId": 0,
214 "erpSystemId": 0,
215 "unit": {
216 "createdBy": "string",
217 "lastModifiedBy": "string",
218 "createdDate": "2019-08-24T14:15:22Z",
219 "lastModifiedDate": "2019-08-24T14:15:22Z",
220 "archived": true,
221 "externalId": "string",
222 "id": 0,
223 "priority": 0,
224 "internalId": 0,
225 "pickListCode": "string",
226 "pickListLabel": "string",
227 "label": "string",
228 "cultureId": 0,
229 "labelDtos": [
230 {
231 "createdBy": "string",
232 "lastModifiedBy": "string",
233 "createdDate": "2019-08-24T14:15:22Z",
234 "lastModifiedDate": "2019-08-24T14:15:22Z",
235 "archived": true,
236 "externalId": "string",
237 "id": 0,
238 "cultureId": 0,
239 "value": "string"
240 }
241 ]
242 },
243 "unitOfMeasure": {
244 "id": 0,
245 "status": "CREATED",
246 "displayId": "string",
247 "erpSystemId": 0,
248 "erpSystemDisplayId": "string",
249 "name": "string"
250 }
251 },
252 "type": {
253 "createdBy": "string",
254 "lastModifiedBy": "string",
255 "createdDate": "2019-08-24T14:15:22Z",
256 "lastModifiedDate": "2019-08-24T14:15:22Z",
257 "archived": true,
258 "externalId": "string",
259 "id": 0,
260 "priority": 0,
261 "internalId": 0,
262 "pickListCode": "string",
263 "pickListLabel": "string",
264 "label": "string",
265 "cultureId": 0,
266 "labelDtos": [
267 {
268 "createdBy": "string",
269 "lastModifiedBy": "string",
270 "createdDate": "2019-08-24T14:15:22Z",
271 "lastModifiedDate": "2019-08-24T14:15:22Z",
272 "archived": true,
273 "externalId": "string",
274 "id": 0,
275 "cultureId": 0,
276 "value": "string"
277 }
278 ]
279 },
280 "quality": {
281 "createdBy": "string",
282 "lastModifiedBy": "string",
283 "createdDate": "2019-08-24T14:15:22Z",
284 "lastModifiedDate": "2019-08-24T14:15:22Z",
285 "archived": true,
286 "externalId": "string",
287 "id": 0,
288 "priority": 0,
289 "internalId": 0,
290 "pickListCode": "string",
291 "pickListLabel": "string",
292 "label": "string",
293 "cultureId": 0,
294 "labelDtos": [
295 {
296 "createdBy": "string",
297 "lastModifiedBy": "string",
298 "createdDate": "2019-08-24T14:15:22Z",
299 "lastModifiedDate": "2019-08-24T14:15:22Z",
300 "archived": true,
301 "externalId": "string",
302 "id": 0,
303 "cultureId": 0,
304 "value": "string"
305 }
306 ]
307 },
308 "propertyType": {
309 "createdBy": "string",
310 "lastModifiedBy": "string",
311 "createdDate": "2019-08-24T14:15:22Z",
312 "lastModifiedDate": "2019-08-24T14:15:22Z",
313 "archived": true,
314 "externalId": "string",
315 "id": 0,
316 "priority": 0,
317 "internalId": 0,
318 "pickListCode": "string",
319 "pickListLabel": "string",
320 "label": "string",
321 "cultureId": 0,
322 "labelDtos": [
323 {
324 "createdBy": "string",
325 "lastModifiedBy": "string",
326 "createdDate": "2019-08-24T14:15:22Z",
327 "lastModifiedDate": "2019-08-24T14:15:22Z",
328 "archived": true,
329 "externalId": "string",
330 "id": 0,
331 "cultureId": 0,
332 "value": "string"
333 }
334 ]
335 },
336 "category": {
337 "createdBy": "string",
338 "lastModifiedBy": "string",
339 "createdDate": "2019-08-24T14:15:22Z",
340 "lastModifiedDate": "2019-08-24T14:15:22Z",
341 "archived": true,
342 "externalId": "string",
343 "id": 0,
344 "priority": 0,
345 "internalId": 0,
346 "pickListCode": "string",
347 "pickListLabel": "string",
348 "label": "string",
349 "cultureId": 0,
350 "labelDtos": [
351 {
352 "createdBy": "string",
353 "lastModifiedBy": "string",
354 "createdDate": "2019-08-24T14:15:22Z",
355 "lastModifiedDate": "2019-08-24T14:15:22Z",
356 "archived": true,
357 "externalId": "string",
358 "id": 0,
359 "cultureId": 0,
360 "value": "string"
361 }
362 ]
363 },
364 "status": {
365 "createdBy": "string",
366 "lastModifiedBy": "string",
367 "createdDate": "2019-08-24T14:15:22Z",
368 "lastModifiedDate": "2019-08-24T14:15:22Z",
369 "archived": true,
370 "externalId": "string",
371 "id": 0,
372 "priority": 0,
373 "internalId": 0,
374 "pickListCode": "string",
375 "pickListLabel": "string",
376 "label": "string",
377 "cultureId": 0,
378 "labelDtos": [
379 {
380 "createdBy": "string",
381 "lastModifiedBy": "string",
382 "createdDate": "2019-08-24T14:15:22Z",
383 "lastModifiedDate": "2019-08-24T14:15:22Z",
384 "archived": true,
385 "externalId": "string",
386 "id": 0,
387 "cultureId": 0,
388 "value": "string"
389 }
390 ]
391 },
392 "addressDto": {
393 "createdBy": "string",
394 "lastModifiedBy": "string",
395 "createdDate": "2019-08-24T14:15:22Z",
396 "lastModifiedDate": "2019-08-24T14:15:22Z",
397 "archived": true,
398 "externalId": "string",
399 "id": 0,
400 "street": "string",
401 "civicNumber": "string",
402 "suite": "string",
403 "postalCode": "string",
404 "lon": 0.1,
405 "lat": 0.1,
406 "city": {
407 "createdBy": "string",
408 "lastModifiedBy": "string",
409 "createdDate": "2019-08-24T14:15:22Z",
410 "lastModifiedDate": "2019-08-24T14:15:22Z",
411 "archived": true,
412 "externalId": "string",
413 "id": 0,
414 "name": "string",
415 "province": {
416 "createdBy": "string",
417 "lastModifiedBy": "string",
418 "createdDate": "2019-08-24T14:15:22Z",
419 "lastModifiedDate": "2019-08-24T14:15:22Z",
420 "archived": true,
421 "externalId": "string",
422 "id": 0,
423 "name": "string",
424 "code": "string",
425 "country": {
426 "createdBy": "string",
427 "lastModifiedBy": "string",
428 "createdDate": "2019-08-24T14:15:22Z",
429 "lastModifiedDate": "2019-08-24T14:15:22Z",
430 "archived": true,
431 "externalId": "string",
432 "id": 0,
433 "name": "string",
434 "code": "string"
435 },
436 "provinceCountryKey": "string"
437 },
438 "cityProvinceCountryKey": "string"
439 },
440 "district": {
441 "createdBy": "string",
442 "lastModifiedBy": "string",
443 "createdDate": "2019-08-24T14:15:22Z",
444 "lastModifiedDate": "2019-08-24T14:15:22Z",
445 "archived": true,
446 "externalId": "string",
447 "id": 0,
448 "name": "string",
449 "city": {
450 "createdBy": "string",
451 "lastModifiedBy": "string",
452 "createdDate": "2019-08-24T14:15:22Z",
453 "lastModifiedDate": "2019-08-24T14:15:22Z",
454 "archived": true,
455 "externalId": "string",
456 "id": 0,
457 "name": "string",
458 "province": {
459 "createdBy": "string",
460 "lastModifiedBy": "string",
461 "createdDate": "2019-08-24T14:15:22Z",
462 "lastModifiedDate": "2019-08-24T14:15:22Z",
463 "archived": true,
464 "externalId": "string",
465 "id": 0,
466 "name": "string",
467 "code": "string",
468 "country": {},
469 "provinceCountryKey": "string"
470 },
471 "cityProvinceCountryKey": "string"
472 }
473 },
474 "cityId": 0,
475 "districtId": 0
476 },
477 "secondAddressDto": {
478 "createdBy": "string",
479 "lastModifiedBy": "string",
480 "createdDate": "2019-08-24T14:15:22Z",
481 "lastModifiedDate": "2019-08-24T14:15:22Z",
482 "archived": true,
483 "externalId": "string",
484 "id": 0,
485 "street": "string",
486 "civicNumber": "string",
487 "suite": "string",
488 "postalCode": "string",
489 "lon": 0.1,
490 "lat": 0.1,
491 "city": {
492 "createdBy": "string",
493 "lastModifiedBy": "string",
494 "createdDate": "2019-08-24T14:15:22Z",
495 "lastModifiedDate": "2019-08-24T14:15:22Z",
496 "archived": true,
497 "externalId": "string",
498 "id": 0,
499 "name": "string",
500 "province": {
501 "createdBy": "string",
502 "lastModifiedBy": "string",
503 "createdDate": "2019-08-24T14:15:22Z",
504 "lastModifiedDate": "2019-08-24T14:15:22Z",
505 "archived": true,
506 "externalId": "string",
507 "id": 0,
508 "name": "string",
509 "code": "string",
510 "country": {
511 "createdBy": "string",
512 "lastModifiedBy": "string",
513 "createdDate": "2019-08-24T14:15:22Z",
514 "lastModifiedDate": "2019-08-24T14:15:22Z",
515 "archived": true,
516 "externalId": "string",
517 "id": 0,
518 "name": "string",
519 "code": "string"
520 },
521 "provinceCountryKey": "string"
522 },
523 "cityProvinceCountryKey": "string"
524 },
525 "district": {
526 "createdBy": "string",
527 "lastModifiedBy": "string",
528 "createdDate": "2019-08-24T14:15:22Z",
529 "lastModifiedDate": "2019-08-24T14:15:22Z",
530 "archived": true,
531 "externalId": "string",
532 "id": 0,
533 "name": "string",
534 "city": {
535 "createdBy": "string",
536 "lastModifiedBy": "string",
537 "createdDate": "2019-08-24T14:15:22Z",
538 "lastModifiedDate": "2019-08-24T14:15:22Z",
539 "archived": true,
540 "externalId": "string",
541 "id": 0,
542 "name": "string",
543 "province": {
544 "createdBy": "string",
545 "lastModifiedBy": "string",
546 "createdDate": "2019-08-24T14:15:22Z",
547 "lastModifiedDate": "2019-08-24T14:15:22Z",
548 "archived": true,
549 "externalId": "string",
550 "id": 0,
551 "name": "string",
552 "code": "string",
553 "country": {},
554 "provinceCountryKey": "string"
555 },
556 "cityProvinceCountryKey": "string"
557 }
558 },
559 "cityId": 0,
560 "districtId": 0
561 }
562 },
563 "status": {
564 "createdBy": "string",
565 "lastModifiedBy": "string",
566 "createdDate": "2019-08-24T14:15:22Z",
567 "lastModifiedDate": "2019-08-24T14:15:22Z",
568 "archived": true,
569 "externalId": "string",
570 "id": 0,
571 "priority": 0,
572 "internalId": 0,
573 "pickListCode": "string",
574 "pickListLabel": "string",
575 "label": "string",
576 "cultureId": 0,
577 "labelDtos": [
578 {
579 "createdBy": "string",
580 "lastModifiedBy": "string",
581 "createdDate": "2019-08-24T14:15:22Z",
582 "lastModifiedDate": "2019-08-24T14:15:22Z",
583 "archived": true,
584 "externalId": "string",
585 "id": 0,
586 "cultureId": 0,
587 "value": "string"
588 }
589 ]
590 },
591 "usage": {
592 "createdBy": "string",
593 "lastModifiedBy": "string",
594 "createdDate": "2019-08-24T14:15:22Z",
595 "lastModifiedDate": "2019-08-24T14:15:22Z",
596 "archived": true,
597 "externalId": "string",
598 "id": 0,
599 "priority": 0,
600 "internalId": 0,
601 "pickListCode": "string",
602 "pickListLabel": "string",
603 "label": "string",
604 "cultureId": 0,
605 "labelDtos": [
606 {
607 "createdBy": "string",
608 "lastModifiedBy": "string",
609 "createdDate": "2019-08-24T14:15:22Z",
610 "lastModifiedDate": "2019-08-24T14:15:22Z",
611 "archived": true,
612 "externalId": "string",
613 "id": 0,
614 "cultureId": 0,
615 "value": "string"
616 }
617 ]
618 },
619 "occupanciesDto": [
620 {
621 "createdBy": "string",
622 "lastModifiedBy": "string",
623 "createdDate": "2019-08-24T14:15:22Z",
624 "lastModifiedDate": "2019-08-24T14:15:22Z",
625 "archived": true,
626 "externalId": "string",
627 "id": 0,
628 "priority": 0,
629 "internalId": 0,
630 "pickListCode": "string",
631 "pickListLabel": "string",
632 "label": "string",
633 "cultureId": 0,
634 "labelDtos": [
635 {
636 "createdBy": "string",
637 "lastModifiedBy": "string",
638 "createdDate": "2019-08-24T14:15:22Z",
639 "lastModifiedDate": "2019-08-24T14:15:22Z",
640 "archived": true,
641 "externalId": "string",
642 "id": 0,
643 "cultureId": 0,
644 "value": "string"
645 }
646 ]
647 }
648 ]
649 },
650 "evaluatedBy": {
651 "createdBy": "string",
652 "lastModifiedBy": "string",
653 "createdDate": "2019-08-24T14:15:22Z",
654 "lastModifiedDate": "2019-08-24T14:15:22Z",
655 "archived": true,
656 "externalId": "string",
657 "id": 0,
658 "email": "string",
659 "userName": "string",
660 "firstName": "string",
661 "lastName": "string",
662 "displayName": "string",
663 "permissions": "string",
664 "internalId": "string",
665 "preferredCulture": {
666 "createdBy": "string",
667 "lastModifiedBy": "string",
668 "createdDate": "2019-08-24T14:15:22Z",
669 "lastModifiedDate": "2019-08-24T14:15:22Z",
670 "archived": true,
671 "externalId": "string",
672 "id": 0,
673 "name": "string",
674 "code": "string",
675 "defaultCulture": true,
676 "enable": true
677 },
678 "userGroups": [
679 {
680 "createdBy": "string",
681 "lastModifiedBy": "string",
682 "createdDate": "2019-08-24T14:15:22Z",
683 "lastModifiedDate": "2019-08-24T14:15:22Z",
684 "archived": true,
685 "externalId": "string",
686 "id": 0,
687 "name": "string",
688 "description": "string",
689 "internalId": "string"
690 }
691 ],
692 "partnerIds": [
693 0
694 ],
695 "partners": [
696 {
697 "id": 0,
698 "status": "CREATED",
699 "displayId": "string",
700 "erpSystemId": 0,
701 "erpSystemDisplayId": "string",
702 "name": "string",
703 "fax": "string",
704 "phone": "string",
705 "parentId": 0,
706 "parentName": "string",
707 "parentDisplayId": "string",
708 "companyId": 0,
709 "partnerRoleId": 0,
710 "partnerContactId": 0
711 }
712 ]
713 },
714 "receivedVia": {
715 "createdBy": "string",
716 "lastModifiedBy": "string",
717 "createdDate": "2019-08-24T14:15:22Z",
718 "lastModifiedDate": "2019-08-24T14:15:22Z",
719 "archived": true,
720 "externalId": "string",
721 "id": 0,
722 "priority": 0,
723 "internalId": 0,
724 "pickListCode": "string",
725 "pickListLabel": "string",
726 "label": "string",
727 "cultureId": 0,
728 "labelDtos": [
729 {
730 "createdBy": "string",
731 "lastModifiedBy": "string",
732 "createdDate": "2019-08-24T14:15:22Z",
733 "lastModifiedDate": "2019-08-24T14:15:22Z",
734 "archived": true,
735 "externalId": "string",
736 "id": 0,
737 "cultureId": 0,
738 "value": "string"
739 }
740 ]
741 },
742 "progressStatus": {
743 "createdBy": "string",
744 "lastModifiedBy": "string",
745 "createdDate": "2019-08-24T14:15:22Z",
746 "lastModifiedDate": "2019-08-24T14:15:22Z",
747 "archived": true,
748 "externalId": "string",
749 "id": 0,
750 "priority": 0,
751 "internalId": 0,
752 "pickListCode": "string",
753 "pickListLabel": "string",
754 "label": "string",
755 "cultureId": 0,
756 "labelDtos": [
757 {
758 "createdBy": "string",
759 "lastModifiedBy": "string",
760 "createdDate": "2019-08-24T14:15:22Z",
761 "lastModifiedDate": "2019-08-24T14:15:22Z",
762 "archived": true,
763 "externalId": "string",
764 "id": 0,
765 "cultureId": 0,
766 "value": "string"
767 }
768 ]
769 },
770 "proposalStatus": {
771 "createdBy": "string",
772 "lastModifiedBy": "string",
773 "createdDate": "2019-08-24T14:15:22Z",
774 "lastModifiedDate": "2019-08-24T14:15:22Z",
775 "archived": true,
776 "externalId": "string",
777 "id": 0,
778 "priority": 0,
779 "internalId": 0,
780 "pickListCode": "string",
781 "pickListLabel": "string",
782 "label": "string",
783 "cultureId": 0,
784 "labelDtos": [
785 {
786 "createdBy": "string",
787 "lastModifiedBy": "string",
788 "createdDate": "2019-08-24T14:15:22Z",
789 "lastModifiedDate": "2019-08-24T14:15:22Z",
790 "archived": true,
791 "externalId": "string",
792 "id": 0,
793 "cultureId": 0,
794 "value": "string"
795 }
796 ]
797 },
798 "evaluatedMailVia": {
799 "createdBy": "string",
800 "lastModifiedBy": "string",
801 "createdDate": "2019-08-24T14:15:22Z",
802 "lastModifiedDate": "2019-08-24T14:15:22Z",
803 "archived": true,
804 "externalId": "string",
805 "id": 0,
806 "priority": 0,
807 "internalId": 0,
808 "pickListCode": "string",
809 "pickListLabel": "string",
810 "label": "string",
811 "cultureId": 0,
812 "labelDtos": [
813 {
814 "createdBy": "string",
815 "lastModifiedBy": "string",
816 "createdDate": "2019-08-24T14:15:22Z",
817 "lastModifiedDate": "2019-08-24T14:15:22Z",
818 "archived": true,
819 "externalId": "string",
820 "id": 0,
821 "cultureId": 0,
822 "value": "string"
823 }
824 ]
825 },
826 "proposalEmailIds": [
827 0
828 ]
829 }
830 ]
831 },
832 "page": {
833 "size": 0,
834 "totalElements": 0,
835 "totalPages": 0,
836 "number": 0
837 }
838}
Proposal - Create Proposal¶
HTTP Request
POST /api/proposals
📋 Description: Creates a new proposal within the Nakisa Portfolio Management Suite, enabling users to effectively manage and analyze real estate assets and portfolios.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
Request body containing the proposal details for portfolio management, including asset information, analytics parameters, and real estate property specifications. |
Body Parameters
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "receivedDate": "2019-08-24",
10 "receivedViaId": 0,
11 "followUpDate": "2019-08-24",
12 "proposalStatusId": 0,
13 "siteName": "string",
14 "siteCivicNumber": "string",
15 "siteStreet": "string",
16 "siteSuite": "string",
17 "sitePostalCode": "string",
18 "siteLon": 0.1,
19 "siteLat": 0.1,
20 "siteLot": "string",
21 "siteNearbyAddress": "string",
22 "siteNearby": "string",
23 "addressTrafficTypeId": 0,
24 "siteCityId": 0,
25 "siteDistrictId": 0,
26 "evaluatedById": 0,
27 "evaluatedMailViaId": 0,
28 "progressStatusId": 0,
29 "evaluatedDate": "string",
30 "evaluatedComment": "string",
31 "premiseId": 0,
32 "siteCity": {
33 "createdBy": "string",
34 "lastModifiedBy": "string",
35 "createdDate": "2019-08-24T14:15:22Z",
36 "lastModifiedDate": "2019-08-24T14:15:22Z",
37 "archived": true,
38 "externalId": "string",
39 "id": 0,
40 "name": "string",
41 "province": {
42 "createdBy": "string",
43 "lastModifiedBy": "string",
44 "createdDate": "2019-08-24T14:15:22Z",
45 "lastModifiedDate": "2019-08-24T14:15:22Z",
46 "archived": true,
47 "externalId": "string",
48 "id": 0,
49 "name": "string",
50 "country": {
51 "createdBy": "string",
52 "lastModifiedBy": "string",
53 "createdDate": "2019-08-24T14:15:22Z",
54 "lastModifiedDate": "2019-08-24T14:15:22Z",
55 "archived": true,
56 "externalId": "string",
57 "id": 0,
58 "name": "string",
59 "code": "string"
60 },
61 "code": "string",
62 "countryId": 0
63 },
64 "provinceId": 0
65 },
66 "siteDistrict": {
67 "createdBy": "string",
68 "lastModifiedBy": "string",
69 "createdDate": "2019-08-24T14:15:22Z",
70 "lastModifiedDate": "2019-08-24T14:15:22Z",
71 "archived": true,
72 "externalId": "string",
73 "id": 0,
74 "name": "string",
75 "city": {
76 "createdBy": "string",
77 "lastModifiedBy": "string",
78 "createdDate": "2019-08-24T14:15:22Z",
79 "lastModifiedDate": "2019-08-24T14:15:22Z",
80 "archived": true,
81 "externalId": "string",
82 "id": 0,
83 "name": "string",
84 "province": {
85 "createdBy": "string",
86 "lastModifiedBy": "string",
87 "createdDate": "2019-08-24T14:15:22Z",
88 "lastModifiedDate": "2019-08-24T14:15:22Z",
89 "archived": true,
90 "externalId": "string",
91 "id": 0,
92 "name": "string",
93 "code": "string",
94 "country": {
95 "createdBy": "string",
96 "lastModifiedBy": "string",
97 "createdDate": "2019-08-24T14:15:22Z",
98 "lastModifiedDate": "2019-08-24T14:15:22Z",
99 "archived": true,
100 "externalId": "string",
101 "id": 0,
102 "name": "string",
103 "code": "string"
104 },
105 "provinceCountryKey": "string"
106 },
107 "cityProvinceCountryKey": "string"
108 },
109 "cityId": 0
110 },
111 "addressTrafficType": {
112 "createdBy": "string",
113 "lastModifiedBy": "string",
114 "createdDate": "2019-08-24T14:15:22Z",
115 "lastModifiedDate": "2019-08-24T14:15:22Z",
116 "archived": true,
117 "externalId": "string",
118 "id": 0,
119 "priority": 0,
120 "internalId": 0,
121 "pickListCode": "string",
122 "pickListLabel": "string",
123 "label": "string",
124 "cultureId": 0,
125 "labelDtos": [
126 {
127 "createdBy": "string",
128 "lastModifiedBy": "string",
129 "createdDate": "2019-08-24T14:15:22Z",
130 "lastModifiedDate": "2019-08-24T14:15:22Z",
131 "archived": true,
132 "externalId": "string",
133 "id": 0,
134 "cultureId": 0,
135 "value": "string"
136 }
137 ]
138 },
139 "premise": {
140 "createdBy": "string",
141 "lastModifiedBy": "string",
142 "createdDate": "2019-08-24T14:15:22Z",
143 "lastModifiedDate": "2019-08-24T14:15:22Z",
144 "archived": true,
145 "externalId": "string",
146 "id": 0,
147 "number": "string",
148 "name": "string",
149 "headPremise": true,
150 "possessionDate": "2019-08-24",
151 "openingDate": "2019-08-24",
152 "closingDate": "2019-08-24",
153 "relocationDate": "2019-08-24",
154 "vacatingDate": "2019-08-24",
155 "expansionDate": "2019-08-24",
156 "statusId": 0,
157 "usageId": 0,
158 "parentPremiseId": 0,
159 "costCenterId": 0,
160 "profitCenterId": 0,
161 "legalEntityId": 0,
162 "occupancyIds": [
163 0
164 ],
165 "locationId": 0,
166 "locationDto": {
167 "createdBy": "string",
168 "lastModifiedBy": "string",
169 "createdDate": "2019-08-24T14:15:22Z",
170 "lastModifiedDate": "2019-08-24T14:15:22Z",
171 "archived": true,
172 "externalId": "string",
173 "id": 0,
174 "number": "string",
175 "name": "string",
176 "storeNumber": "string",
177 "defaultCurrencyId": 0,
178 "defaultMeasureId": 0,
179 "typeId": 0,
180 "qualityId": 0,
181 "propertyTypeId": 0,
182 "categoryId": 0,
183 "statusId": 0,
184 "businessUnitId": 0,
185 "groupIds": [
186 0
187 ],
188 "legalEntityIds": [
189 0
190 ],
191 "defaultCurrency": {
192 "id": 0,
193 "status": "CREATED",
194 "displayId": "string",
195 "erpSystemId": 0,
196 "erpSystemDisplayId": "string",
197 "name": "string",
198 "decimalPoints": 0,
199 "depreciationAreaId": 0
200 },
201 "defaultUnitValue": {
202 "createdBy": "string",
203 "lastModifiedBy": "string",
204 "createdDate": "2019-08-24T14:15:22Z",
205 "lastModifiedDate": "2019-08-24T14:15:22Z",
206 "archived": true,
207 "externalId": "string",
208 "id": 0,
209 "unitId": 0,
210 "unitOfMeasureId": 0,
211 "erpSystemId": 0,
212 "unit": {
213 "createdBy": "string",
214 "lastModifiedBy": "string",
215 "createdDate": "2019-08-24T14:15:22Z",
216 "lastModifiedDate": "2019-08-24T14:15:22Z",
217 "archived": true,
218 "externalId": "string",
219 "id": 0,
220 "priority": 0,
221 "internalId": 0,
222 "pickListCode": "string",
223 "pickListLabel": "string",
224 "label": "string",
225 "cultureId": 0,
226 "labelDtos": [
227 {
228 "createdBy": "string",
229 "lastModifiedBy": "string",
230 "createdDate": "2019-08-24T14:15:22Z",
231 "lastModifiedDate": "2019-08-24T14:15:22Z",
232 "archived": true,
233 "externalId": "string",
234 "id": 0,
235 "cultureId": 0,
236 "value": "string"
237 }
238 ]
239 },
240 "unitOfMeasure": {
241 "id": 0,
242 "status": "CREATED",
243 "displayId": "string",
244 "erpSystemId": 0,
245 "erpSystemDisplayId": "string",
246 "name": "string"
247 }
248 },
249 "type": {
250 "createdBy": "string",
251 "lastModifiedBy": "string",
252 "createdDate": "2019-08-24T14:15:22Z",
253 "lastModifiedDate": "2019-08-24T14:15:22Z",
254 "archived": true,
255 "externalId": "string",
256 "id": 0,
257 "priority": 0,
258 "internalId": 0,
259 "pickListCode": "string",
260 "pickListLabel": "string",
261 "label": "string",
262 "cultureId": 0,
263 "labelDtos": [
264 {
265 "createdBy": "string",
266 "lastModifiedBy": "string",
267 "createdDate": "2019-08-24T14:15:22Z",
268 "lastModifiedDate": "2019-08-24T14:15:22Z",
269 "archived": true,
270 "externalId": "string",
271 "id": 0,
272 "cultureId": 0,
273 "value": "string"
274 }
275 ]
276 },
277 "quality": {
278 "createdBy": "string",
279 "lastModifiedBy": "string",
280 "createdDate": "2019-08-24T14:15:22Z",
281 "lastModifiedDate": "2019-08-24T14:15:22Z",
282 "archived": true,
283 "externalId": "string",
284 "id": 0,
285 "priority": 0,
286 "internalId": 0,
287 "pickListCode": "string",
288 "pickListLabel": "string",
289 "label": "string",
290 "cultureId": 0,
291 "labelDtos": [
292 {
293 "createdBy": "string",
294 "lastModifiedBy": "string",
295 "createdDate": "2019-08-24T14:15:22Z",
296 "lastModifiedDate": "2019-08-24T14:15:22Z",
297 "archived": true,
298 "externalId": "string",
299 "id": 0,
300 "cultureId": 0,
301 "value": "string"
302 }
303 ]
304 },
305 "propertyType": {
306 "createdBy": "string",
307 "lastModifiedBy": "string",
308 "createdDate": "2019-08-24T14:15:22Z",
309 "lastModifiedDate": "2019-08-24T14:15:22Z",
310 "archived": true,
311 "externalId": "string",
312 "id": 0,
313 "priority": 0,
314 "internalId": 0,
315 "pickListCode": "string",
316 "pickListLabel": "string",
317 "label": "string",
318 "cultureId": 0,
319 "labelDtos": [
320 {
321 "createdBy": "string",
322 "lastModifiedBy": "string",
323 "createdDate": "2019-08-24T14:15:22Z",
324 "lastModifiedDate": "2019-08-24T14:15:22Z",
325 "archived": true,
326 "externalId": "string",
327 "id": 0,
328 "cultureId": 0,
329 "value": "string"
330 }
331 ]
332 },
333 "category": {
334 "createdBy": "string",
335 "lastModifiedBy": "string",
336 "createdDate": "2019-08-24T14:15:22Z",
337 "lastModifiedDate": "2019-08-24T14:15:22Z",
338 "archived": true,
339 "externalId": "string",
340 "id": 0,
341 "priority": 0,
342 "internalId": 0,
343 "pickListCode": "string",
344 "pickListLabel": "string",
345 "label": "string",
346 "cultureId": 0,
347 "labelDtos": [
348 {
349 "createdBy": "string",
350 "lastModifiedBy": "string",
351 "createdDate": "2019-08-24T14:15:22Z",
352 "lastModifiedDate": "2019-08-24T14:15:22Z",
353 "archived": true,
354 "externalId": "string",
355 "id": 0,
356 "cultureId": 0,
357 "value": "string"
358 }
359 ]
360 },
361 "status": {
362 "createdBy": "string",
363 "lastModifiedBy": "string",
364 "createdDate": "2019-08-24T14:15:22Z",
365 "lastModifiedDate": "2019-08-24T14:15:22Z",
366 "archived": true,
367 "externalId": "string",
368 "id": 0,
369 "priority": 0,
370 "internalId": 0,
371 "pickListCode": "string",
372 "pickListLabel": "string",
373 "label": "string",
374 "cultureId": 0,
375 "labelDtos": [
376 {
377 "createdBy": "string",
378 "lastModifiedBy": "string",
379 "createdDate": "2019-08-24T14:15:22Z",
380 "lastModifiedDate": "2019-08-24T14:15:22Z",
381 "archived": true,
382 "externalId": "string",
383 "id": 0,
384 "cultureId": 0,
385 "value": "string"
386 }
387 ]
388 },
389 "addressDto": {
390 "createdBy": "string",
391 "lastModifiedBy": "string",
392 "createdDate": "2019-08-24T14:15:22Z",
393 "lastModifiedDate": "2019-08-24T14:15:22Z",
394 "archived": true,
395 "externalId": "string",
396 "id": 0,
397 "street": "string",
398 "civicNumber": "string",
399 "suite": "string",
400 "postalCode": "string",
401 "lon": 0.1,
402 "lat": 0.1,
403 "city": {
404 "createdBy": "string",
405 "lastModifiedBy": "string",
406 "createdDate": "2019-08-24T14:15:22Z",
407 "lastModifiedDate": "2019-08-24T14:15:22Z",
408 "archived": true,
409 "externalId": "string",
410 "id": 0,
411 "name": "string",
412 "province": {
413 "createdBy": "string",
414 "lastModifiedBy": "string",
415 "createdDate": "2019-08-24T14:15:22Z",
416 "lastModifiedDate": "2019-08-24T14:15:22Z",
417 "archived": true,
418 "externalId": "string",
419 "id": 0,
420 "name": "string",
421 "code": "string",
422 "country": {
423 "createdBy": "string",
424 "lastModifiedBy": "string",
425 "createdDate": "2019-08-24T14:15:22Z",
426 "lastModifiedDate": "2019-08-24T14:15:22Z",
427 "archived": true,
428 "externalId": "string",
429 "id": 0,
430 "name": "string",
431 "code": "string"
432 },
433 "provinceCountryKey": "string"
434 },
435 "cityProvinceCountryKey": "string"
436 },
437 "district": {
438 "createdBy": "string",
439 "lastModifiedBy": "string",
440 "createdDate": "2019-08-24T14:15:22Z",
441 "lastModifiedDate": "2019-08-24T14:15:22Z",
442 "archived": true,
443 "externalId": "string",
444 "id": 0,
445 "name": "string",
446 "city": {
447 "createdBy": "string",
448 "lastModifiedBy": "string",
449 "createdDate": "2019-08-24T14:15:22Z",
450 "lastModifiedDate": "2019-08-24T14:15:22Z",
451 "archived": true,
452 "externalId": "string",
453 "id": 0,
454 "name": "string",
455 "province": {
456 "createdBy": "string",
457 "lastModifiedBy": "string",
458 "createdDate": "2019-08-24T14:15:22Z",
459 "lastModifiedDate": "2019-08-24T14:15:22Z",
460 "archived": true,
461 "externalId": "string",
462 "id": 0,
463 "name": "string",
464 "code": "string",
465 "country": {
466 "createdBy": "string",
467 "lastModifiedBy": "string",
468 "createdDate": "2019-08-24T14:15:22Z",
469 "lastModifiedDate": "2019-08-24T14:15:22Z",
470 "archived": true,
471 "externalId": "string",
472 "id": 0,
473 "name": "string",
474 "code": "string"
475 },
476 "provinceCountryKey": "string"
477 },
478 "cityProvinceCountryKey": "string"
479 }
480 },
481 "cityId": 0,
482 "districtId": 0
483 },
484 "secondAddressDto": {
485 "createdBy": "string",
486 "lastModifiedBy": "string",
487 "createdDate": "2019-08-24T14:15:22Z",
488 "lastModifiedDate": "2019-08-24T14:15:22Z",
489 "archived": true,
490 "externalId": "string",
491 "id": 0,
492 "street": "string",
493 "civicNumber": "string",
494 "suite": "string",
495 "postalCode": "string",
496 "lon": 0.1,
497 "lat": 0.1,
498 "city": {
499 "createdBy": "string",
500 "lastModifiedBy": "string",
501 "createdDate": "2019-08-24T14:15:22Z",
502 "lastModifiedDate": "2019-08-24T14:15:22Z",
503 "archived": true,
504 "externalId": "string",
505 "id": 0,
506 "name": "string",
507 "province": {
508 "createdBy": "string",
509 "lastModifiedBy": "string",
510 "createdDate": "2019-08-24T14:15:22Z",
511 "lastModifiedDate": "2019-08-24T14:15:22Z",
512 "archived": true,
513 "externalId": "string",
514 "id": 0,
515 "name": "string",
516 "code": "string",
517 "country": {
518 "createdBy": "string",
519 "lastModifiedBy": "string",
520 "createdDate": "2019-08-24T14:15:22Z",
521 "lastModifiedDate": "2019-08-24T14:15:22Z",
522 "archived": true,
523 "externalId": "string",
524 "id": 0,
525 "name": "string",
526 "code": "string"
527 },
528 "provinceCountryKey": "string"
529 },
530 "cityProvinceCountryKey": "string"
531 },
532 "district": {
533 "createdBy": "string",
534 "lastModifiedBy": "string",
535 "createdDate": "2019-08-24T14:15:22Z",
536 "lastModifiedDate": "2019-08-24T14:15:22Z",
537 "archived": true,
538 "externalId": "string",
539 "id": 0,
540 "name": "string",
541 "city": {
542 "createdBy": "string",
543 "lastModifiedBy": "string",
544 "createdDate": "2019-08-24T14:15:22Z",
545 "lastModifiedDate": "2019-08-24T14:15:22Z",
546 "archived": true,
547 "externalId": "string",
548 "id": 0,
549 "name": "string",
550 "province": {
551 "createdBy": "string",
552 "lastModifiedBy": "string",
553 "createdDate": "2019-08-24T14:15:22Z",
554 "lastModifiedDate": "2019-08-24T14:15:22Z",
555 "archived": true,
556 "externalId": "string",
557 "id": 0,
558 "name": "string",
559 "code": "string",
560 "country": {
561 "createdBy": "string",
562 "lastModifiedBy": "string",
563 "createdDate": "2019-08-24T14:15:22Z",
564 "lastModifiedDate": "2019-08-24T14:15:22Z",
565 "archived": true,
566 "externalId": "string",
567 "id": 0,
568 "name": "string",
569 "code": "string"
570 },
571 "provinceCountryKey": "string"
572 },
573 "cityProvinceCountryKey": "string"
574 }
575 },
576 "cityId": 0,
577 "districtId": 0
578 }
579 },
580 "status": {
581 "createdBy": "string",
582 "lastModifiedBy": "string",
583 "createdDate": "2019-08-24T14:15:22Z",
584 "lastModifiedDate": "2019-08-24T14:15:22Z",
585 "archived": true,
586 "externalId": "string",
587 "id": 0,
588 "priority": 0,
589 "internalId": 0,
590 "pickListCode": "string",
591 "pickListLabel": "string",
592 "label": "string",
593 "cultureId": 0,
594 "labelDtos": [
595 {
596 "createdBy": "string",
597 "lastModifiedBy": "string",
598 "createdDate": "2019-08-24T14:15:22Z",
599 "lastModifiedDate": "2019-08-24T14:15:22Z",
600 "archived": true,
601 "externalId": "string",
602 "id": 0,
603 "cultureId": 0,
604 "value": "string"
605 }
606 ]
607 },
608 "usage": {
609 "createdBy": "string",
610 "lastModifiedBy": "string",
611 "createdDate": "2019-08-24T14:15:22Z",
612 "lastModifiedDate": "2019-08-24T14:15:22Z",
613 "archived": true,
614 "externalId": "string",
615 "id": 0,
616 "priority": 0,
617 "internalId": 0,
618 "pickListCode": "string",
619 "pickListLabel": "string",
620 "label": "string",
621 "cultureId": 0,
622 "labelDtos": [
623 {
624 "createdBy": "string",
625 "lastModifiedBy": "string",
626 "createdDate": "2019-08-24T14:15:22Z",
627 "lastModifiedDate": "2019-08-24T14:15:22Z",
628 "archived": true,
629 "externalId": "string",
630 "id": 0,
631 "cultureId": 0,
632 "value": "string"
633 }
634 ]
635 },
636 "occupanciesDto": [
637 {
638 "createdBy": "string",
639 "lastModifiedBy": "string",
640 "createdDate": "2019-08-24T14:15:22Z",
641 "lastModifiedDate": "2019-08-24T14:15:22Z",
642 "archived": true,
643 "externalId": "string",
644 "id": 0,
645 "priority": 0,
646 "internalId": 0,
647 "pickListCode": "string",
648 "pickListLabel": "string",
649 "label": "string",
650 "cultureId": 0,
651 "labelDtos": [
652 {
653 "createdBy": "string",
654 "lastModifiedBy": "string",
655 "createdDate": "2019-08-24T14:15:22Z",
656 "lastModifiedDate": "2019-08-24T14:15:22Z",
657 "archived": true,
658 "externalId": "string",
659 "id": 0,
660 "cultureId": 0,
661 "value": "string"
662 }
663 ]
664 }
665 ]
666 },
667 "evaluatedBy": {
668 "createdBy": "string",
669 "lastModifiedBy": "string",
670 "createdDate": "2019-08-24T14:15:22Z",
671 "lastModifiedDate": "2019-08-24T14:15:22Z",
672 "archived": true,
673 "externalId": "string",
674 "id": 0,
675 "email": "string",
676 "userName": "string",
677 "firstName": "string",
678 "lastName": "string",
679 "displayName": "string",
680 "permissions": "string",
681 "internalId": "string",
682 "preferredCulture": {
683 "createdBy": "string",
684 "lastModifiedBy": "string",
685 "createdDate": "2019-08-24T14:15:22Z",
686 "lastModifiedDate": "2019-08-24T14:15:22Z",
687 "archived": true,
688 "externalId": "string",
689 "id": 0,
690 "name": "string",
691 "code": "string",
692 "defaultCulture": true,
693 "enable": true
694 },
695 "userGroups": [
696 {
697 "createdBy": "string",
698 "lastModifiedBy": "string",
699 "createdDate": "2019-08-24T14:15:22Z",
700 "lastModifiedDate": "2019-08-24T14:15:22Z",
701 "archived": true,
702 "externalId": "string",
703 "id": 0,
704 "name": "string",
705 "description": "string",
706 "internalId": "string"
707 }
708 ],
709 "partnerIds": [
710 0
711 ],
712 "partners": [
713 {
714 "id": 0,
715 "status": "CREATED",
716 "displayId": "string",
717 "erpSystemId": 0,
718 "erpSystemDisplayId": "string",
719 "name": "string",
720 "fax": "string",
721 "phone": "string",
722 "parentId": 0,
723 "parentName": "string",
724 "parentDisplayId": "string",
725 "companyId": 0,
726 "partnerRoleId": 0,
727 "partnerContactId": 0
728 }
729 ]
730 },
731 "receivedVia": {
732 "createdBy": "string",
733 "lastModifiedBy": "string",
734 "createdDate": "2019-08-24T14:15:22Z",
735 "lastModifiedDate": "2019-08-24T14:15:22Z",
736 "archived": true,
737 "externalId": "string",
738 "id": 0,
739 "priority": 0,
740 "internalId": 0,
741 "pickListCode": "string",
742 "pickListLabel": "string",
743 "label": "string",
744 "cultureId": 0,
745 "labelDtos": [
746 {
747 "createdBy": "string",
748 "lastModifiedBy": "string",
749 "createdDate": "2019-08-24T14:15:22Z",
750 "lastModifiedDate": "2019-08-24T14:15:22Z",
751 "archived": true,
752 "externalId": "string",
753 "id": 0,
754 "cultureId": 0,
755 "value": "string"
756 }
757 ]
758 },
759 "progressStatus": {
760 "createdBy": "string",
761 "lastModifiedBy": "string",
762 "createdDate": "2019-08-24T14:15:22Z",
763 "lastModifiedDate": "2019-08-24T14:15:22Z",
764 "archived": true,
765 "externalId": "string",
766 "id": 0,
767 "priority": 0,
768 "internalId": 0,
769 "pickListCode": "string",
770 "pickListLabel": "string",
771 "label": "string",
772 "cultureId": 0,
773 "labelDtos": [
774 {
775 "createdBy": "string",
776 "lastModifiedBy": "string",
777 "createdDate": "2019-08-24T14:15:22Z",
778 "lastModifiedDate": "2019-08-24T14:15:22Z",
779 "archived": true,
780 "externalId": "string",
781 "id": 0,
782 "cultureId": 0,
783 "value": "string"
784 }
785 ]
786 },
787 "proposalStatus": {
788 "createdBy": "string",
789 "lastModifiedBy": "string",
790 "createdDate": "2019-08-24T14:15:22Z",
791 "lastModifiedDate": "2019-08-24T14:15:22Z",
792 "archived": true,
793 "externalId": "string",
794 "id": 0,
795 "priority": 0,
796 "internalId": 0,
797 "pickListCode": "string",
798 "pickListLabel": "string",
799 "label": "string",
800 "cultureId": 0,
801 "labelDtos": [
802 {
803 "createdBy": "string",
804 "lastModifiedBy": "string",
805 "createdDate": "2019-08-24T14:15:22Z",
806 "lastModifiedDate": "2019-08-24T14:15:22Z",
807 "archived": true,
808 "externalId": "string",
809 "id": 0,
810 "cultureId": 0,
811 "value": "string"
812 }
813 ]
814 },
815 "evaluatedMailVia": {
816 "createdBy": "string",
817 "lastModifiedBy": "string",
818 "createdDate": "2019-08-24T14:15:22Z",
819 "lastModifiedDate": "2019-08-24T14:15:22Z",
820 "archived": true,
821 "externalId": "string",
822 "id": 0,
823 "priority": 0,
824 "internalId": 0,
825 "pickListCode": "string",
826 "pickListLabel": "string",
827 "label": "string",
828 "cultureId": 0,
829 "labelDtos": [
830 {
831 "createdBy": "string",
832 "lastModifiedBy": "string",
833 "createdDate": "2019-08-24T14:15:22Z",
834 "lastModifiedDate": "2019-08-24T14:15:22Z",
835 "archived": true,
836 "externalId": "string",
837 "id": 0,
838 "cultureId": 0,
839 "value": "string"
840 }
841 ]
842 },
843 "proposalEmailIds": [
844 0
845 ]
846}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
201 |
Created |
integer |
Example Responses
10
Proposal - Add Notes To Proposal¶
HTTP Request
POST /api/proposals/{proposalId}/notes
📋 Description: Adds a note to a specified proposal within the Nakisa Portfolio Management Suite, enhancing collaboration and documentation for portfolio and asset management in real estate property analytics.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
proposalId |
path |
integer(int64) |
true |
Unique identifier for the proposal |
body |
body |
true |
Request body containing the notes associated with a specific proposal, including relevant details and insights to enhance portfolio and asset management within the Nakisa Portfolio Management Suite. |
Body Parameters
1[
2 {
3 "createdBy": "string",
4 "lastModifiedBy": "string",
5 "createdDate": "2019-08-24T14:15:22Z",
6 "lastModifiedDate": "2019-08-24T14:15:22Z",
7 "archived": true,
8 "externalId": "string",
9 "id": 0,
10 "message": "string",
11 "userIds": [
12 0
13 ],
14 "redirectUrl": "string"
15 }
16]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
201 |
Created |
Inline |
Example Responses
1[
2 {
3 "createdBy": "string",
4 "lastModifiedBy": "string",
5 "createdDate": "2019-08-24T14:15:22Z",
6 "lastModifiedDate": "2019-08-24T14:15:22Z",
7 "archived": true,
8 "externalId": "string",
9 "id": 0,
10 "message": "string",
11 "userIds": [
12 0
13 ],
14 "redirectUrl": "string"
15 }
16]
Response Schema
Status Code 201
Name |
Type |
Required |
Restrictions |
Description |
|---|---|---|---|---|
anonymous |
false |
none |
[Data transfer object representing a note associated with portfolio management, asset analytics, and real estate properties, facilitating effective communication and documentation within the Nakisa Portfolio Management Suite.] |
|
» createdBy |
string |
false |
none |
Username of who created this resource |
» lastModifiedBy |
string |
false |
none |
Username of who last modified this resource |
» createdDate |
string(date-time) |
false |
none |
Date of the created |
» lastModifiedDate |
string(date-time) |
false |
none |
Date of the last modified |
» archived |
boolean |
false |
none |
Boolean flag indicating archived status |
» externalId |
string |
false |
none |
Unique identifier for the external |
» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
» message |
string |
true |
none |
Textual content providing detailed information or commentary related to the portfolio, asset, or real estate property within the Nakisa Portfolio Management Suite. |
» userIds |
[integer] |
false |
none |
User information related to portfolio management |
» redirectUrl |
string |
false |
none |
URL to which users will be redirected after completing a specific action within the Nakisa Portfolio Management Suite, facilitating seamless navigation in the context of portfolio, asset, and real estate property management. |
Proposal - Get Documents For Proposal¶
HTTP Request
GET /api/proposals/{proposalId}/documents
📋 Description: Retrieves documents associated with a specific proposal in the Nakisa Portfolio Management Suite, facilitating access to relevant information for portfolio, asset, and real estate property analytics.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
proposalId |
path |
integer(int64) |
true |
Unique identifier for the proposal |
pageable |
query |
true |
Indicates whether the response should be paginated, allowing users to efficiently retrieve and manage large sets of documents related to a specific proposal within the Nakisa Portfolio Management Suite. |
|
search |
query |
string |
false |
Search term used to filter documents related to a specific proposal within the Nakisa Portfolio Management Suite, enhancing asset and portfolio analytics in the real estate property context. |
id |
query |
string |
false |
Unique identifier for the resource |
status-id |
query |
string |
false |
Unique identifier for the status of the proposal documents, facilitating effective tracking and management within the Nakisa Portfolio Management Suite. |
signed-date |
query |
string |
false |
Specifies the date on which the document was signed, providing essential context for portfolio and asset management within the Nakisa Portfolio Management Suite. |
name |
query |
string |
false |
Name of the resource |
title |
query |
string |
false |
Title of the resource |
type |
query |
string |
false |
Type of the resource |
shareable |
query |
string |
false |
Indicates whether the documents associated with the specified proposal can be shared, facilitating collaboration within the context of portfolio and asset management in the Nakisa Portfolio Management Suite. |
document-type-id |
query |
string |
false |
Unique identifier for the type of document associated with a specific proposal, facilitating effective management and analysis of portfolio-related assets within the Nakisa Portfolio Management Suite. |
document-type-id-in |
query |
string |
false |
Specifies the unique identifier for the type of document associated with the proposal, facilitating precise retrieval of relevant portfolio and asset documents within the Nakisa Portfolio Management Suite. |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "_embedded": {
3 "documents": [
4 {
5 "createdBy": "string",
6 "lastModifiedBy": "string",
7 "createdDate": "2019-08-24T14:15:22Z",
8 "lastModifiedDate": "2019-08-24T14:15:22Z",
9 "archived": true,
10 "externalId": "string",
11 "id": 0,
12 "name": "string",
13 "title": "string",
14 "type": "string",
15 "description": "string",
16 "link": "string",
17 "signedDate": "2019-08-24",
18 "documentTypeId": 0,
19 "statusId": 0,
20 "shareable": true,
21 "size": 0,
22 "documentType": {
23 "createdBy": "string",
24 "lastModifiedBy": "string",
25 "createdDate": "2019-08-24T14:15:22Z",
26 "lastModifiedDate": "2019-08-24T14:15:22Z",
27 "archived": true,
28 "externalId": "string",
29 "id": 0,
30 "priority": 0,
31 "internalId": 0,
32 "pickListCode": "string",
33 "pickListLabel": "string",
34 "label": "string",
35 "cultureId": 0,
36 "labelDtos": [
37 {
38 "createdBy": "string",
39 "lastModifiedBy": "string",
40 "createdDate": "2019-08-24T14:15:22Z",
41 "lastModifiedDate": "2019-08-24T14:15:22Z",
42 "archived": true,
43 "externalId": "string",
44 "id": 0,
45 "cultureId": 0,
46 "value": "string"
47 }
48 ]
49 },
50 "status": {
51 "createdBy": "string",
52 "lastModifiedBy": "string",
53 "createdDate": "2019-08-24T14:15:22Z",
54 "lastModifiedDate": "2019-08-24T14:15:22Z",
55 "archived": true,
56 "externalId": "string",
57 "id": 0,
58 "priority": 0,
59 "internalId": 0,
60 "pickListCode": "string",
61 "pickListLabel": "string",
62 "label": "string",
63 "cultureId": 0,
64 "labelDtos": [
65 {
66 "createdBy": "string",
67 "lastModifiedBy": "string",
68 "createdDate": "2019-08-24T14:15:22Z",
69 "lastModifiedDate": "2019-08-24T14:15:22Z",
70 "archived": true,
71 "externalId": "string",
72 "id": 0,
73 "cultureId": 0,
74 "value": "string"
75 }
76 ]
77 }
78 }
79 ]
80 },
81 "page": {
82 "size": 0,
83 "totalElements": 0,
84 "totalPages": 0,
85 "number": 0
86 }
87}
Proposal - Upload Proposal Document¶
HTTP Request
POST /api/proposals/{proposalId}/documents
📋 Description: Uploads documents associated with a specific proposal in the Nakisa Portfolio Management Suite, enhancing asset management and analytics capabilities within the real estate property portfolio.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
proposalId |
path |
integer(int64) |
true |
Unique identifier for the proposal |
body |
body |
object |
false |
Request body containing the document data associated with the specified proposal, including relevant metadata and analytics for effective portfolio management. |
» file |
body |
string(binary) |
false |
none |
» document |
body |
true |
Data transfer object representing a document within the Nakisa Portfolio Management Suite, encapsulating essential information related to portfolio assets, analytics, and real estate properties. |
|
»» createdBy |
body |
string |
false |
Username of who created this resource |
»» lastModifiedBy |
body |
string |
false |
Username of who last modified this resource |
»» createdDate |
body |
string(date-time) |
false |
Date of the created |
»» lastModifiedDate |
body |
string(date-time) |
false |
Date of the last modified |
»» archived |
body |
boolean |
false |
Boolean flag indicating archived status |
»» externalId |
body |
string |
false |
Unique identifier for the external |
»» id |
body |
integer(int64) |
false |
Unique identifier for the resource |
»» name |
body |
string |
false |
Name of the resource |
»» title |
body |
string |
false |
Title of the resource |
»» type |
body |
string |
false |
Type of the resource |
»» description |
body |
string |
false |
Description of the resource |
»» link |
body |
string |
false |
URL link to access detailed information or resources related to the portfolio, asset, or real estate property within the Nakisa Portfolio Management Suite. |
»» signedDate |
body |
string(date) |
false |
Date of the signed |
»» documentTypeId |
body |
integer(int64) |
false |
Unique identifier for the document type |
»» statusId |
body |
integer(int64) |
false |
Unique identifier for the status |
»» shareable |
body |
boolean |
false |
Boolean flag indicating shareable status |
»» size |
body |
integer(int64) |
false |
Number of items per page |
»» documentType |
body |
false |
Data transfer object representing an option within a pick list, utilized for categorizing and managing portfolio assets and analytics in the Nakisa Portfolio Management Suite, particularly in the context of real estate property management. |
|
»»» createdBy |
body |
string |
false |
Username of who created this resource |
»»» lastModifiedBy |
body |
string |
false |
Username of who last modified this resource |
»»» createdDate |
body |
string(date-time) |
false |
Date of the created |
»»» lastModifiedDate |
body |
string(date-time) |
false |
Date of the last modified |
»»» archived |
body |
boolean |
false |
Boolean flag indicating archived status |
»»» externalId |
body |
string |
false |
Unique identifier for the external |
»»» id |
body |
integer(int64) |
false |
Unique identifier for the resource |
»»» priority |
body |
integer(int64) |
false |
Priority of the resource |
»»» internalId |
body |
integer(int64) |
false |
Unique identifier for the internal |
»»» pickListCode |
body |
string |
false |
Code for the pick list |
»»» pickListLabel |
body |
string |
false |
Label for the pick list |
»»» label |
body |
string |
false |
Label for the resource |
»»» cultureId |
body |
integer(int64) |
false |
Unique identifier for the culture |
»»» labelDtos |
body |
false |
List of labelDtos items |
|
»»»» createdBy |
body |
string |
false |
Username of who created this resource |
»»»» lastModifiedBy |
body |
string |
false |
Username of who last modified this resource |
»»»» createdDate |
body |
string(date-time) |
false |
Date of the created |
»»»» lastModifiedDate |
body |
string(date-time) |
false |
Date of the last modified |
»»»» archived |
body |
boolean |
false |
Boolean flag indicating archived status |
»»»» externalId |
body |
string |
false |
Unique identifier for the external |
»»»» id |
body |
integer(int64) |
false |
Unique identifier for the resource |
»»»» cultureId |
body |
integer(int64) |
false |
Unique identifier for the culture |
»»»» value |
body |
string |
true |
Represents the descriptive value associated with a portfolio asset, facilitating analytics and insights within the Nakisa Portfolio Management Suite. |
»» status |
body |
false |
Data transfer object representing an option within a pick list, utilized for categorizing and managing portfolio assets and analytics in the Nakisa Portfolio Management Suite, particularly in the context of real estate property management. |
Body Parameters
1{
2 "document": {
3 "archived": true,
4 "createdBy": "string",
5 "createdDate": "2019-08-24 14:15:22+00:00",
6 "description": "string",
7 "documentType": {
8 "archived": true,
9 "createdBy": "string",
10 "createdDate": "2019-08-24 14:15:22+00:00",
11 "cultureId": 0,
12 "externalId": "string",
13 "id": 0,
14 "internalId": 0,
15 "label": "string",
16 "labelDtos": [
17 {
18 "archived": true,
19 "createdBy": "string",
20 "createdDate": "2019-08-24 14:15:22+00:00",
21 "cultureId": 0,
22 "externalId": "string",
23 "id": 0,
24 "lastModifiedBy": "string",
25 "lastModifiedDate": "2019-08-24 14:15:22+00:00",
26 "value": "string"
27 }
28 ],
29 "lastModifiedBy": "string",
30 "lastModifiedDate": "2019-08-24 14:15:22+00:00",
31 "pickListCode": "string",
32 "pickListLabel": "string",
33 "priority": 0
34 },
35 "documentTypeId": 0,
36 "externalId": "string",
37 "id": 0,
38 "lastModifiedBy": "string",
39 "lastModifiedDate": "2019-08-24 14:15:22+00:00",
40 "link": "string",
41 "name": "string",
42 "shareable": true,
43 "signedDate": "2019-08-24",
44 "size": 0,
45 "status": {
46 "archived": true,
47 "createdBy": "string",
48 "createdDate": "2019-08-24 14:15:22+00:00",
49 "cultureId": 0,
50 "externalId": "string",
51 "id": 0,
52 "internalId": 0,
53 "label": "string",
54 "labelDtos": [
55 {
56 "archived": true,
57 "createdBy": "string",
58 "createdDate": "2019-08-24 14:15:22+00:00",
59 "cultureId": 0,
60 "externalId": "string",
61 "id": 0,
62 "lastModifiedBy": "string",
63 "lastModifiedDate": "2019-08-24 14:15:22+00:00",
64 "value": "string"
65 }
66 ],
67 "lastModifiedBy": "string",
68 "lastModifiedDate": "2019-08-24 14:15:22+00:00",
69 "pickListCode": "string",
70 "pickListLabel": "string",
71 "priority": 0
72 },
73 "statusId": 0,
74 "title": "string",
75 "type": "string"
76 },
77 "file": "string"
78}
Responses
Status |
Meaning |
Description |
Schema |
[...]
